$(() => {
$('#selectStatus').dxSelectBox({
dataSource: statuses,
value: statuses[0],
inputAttr: { 'aria-label': 'Status' },
onValueChanged(data) {
if (data.value === 'All') { dataGrid.clearFilter(); } else { dataGrid.filter(['Task_Status', '=', data.value]); }
},
});
const dataGrid = $('#gridContainer').dxDataGrid({
dataSource: tasks,
keyExpr: 'Task_ID',
pager: {
visible: true,
},
columnAutoWidth: true,
showBorders: true,
columns: [
{
dataField: 'Task_ID',
width: 80,
}, {
caption: 'Start Date',
dataField: 'Task_Start_Date',
dataType: 'date',
}, {
caption: 'Assigned To',
dataField: 'Employee_Full_Name',
cssClass: 'employee',
allowSorting: false,
}, {
caption: 'Subject',
dataField: 'Task_Subject',
width: 350,
}, {
caption: 'Status',
dataField: 'Task_Status',
},
],
}).dxDataGrid('instance');
});
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script>window.jQuery || document.write(decodeURIComponent('%3Cscript src="js/jquery.min.js"%3E%3C/script%3E'))</script>
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.3/css/dx.light.css" />
<script src="js/dx.all.js?v=25.2.3"></script>
<script src="data.js"></script>
<link rel="stylesheet" type="text/css" href="styles.css" />
<script src="index.js"></script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div class="left-side">
<div class="logo">
<img src="images/logo-devav.png" alt="DEVAV" />
<img src="images/logo-tasks.png" alt="Tasks" />
</div>
</div>
<div class="right-side">
<div id="selectStatus"></div>
</div>
<div id="gridContainer"></div>
</div>
</body>
</html>
.right-side {
position: absolute;
right: 1px;
top: 6px;
}
.logo {
line-height: 48px;
}
.logo img {
vertical-align: middle;
margin: 0 5px;
}
.dx-row.dx-data-row .employee {
color: #bf4e6a;
font-weight: bold;
}
#gridContainer {
margin: 20px 0;
height: 400px;
}
const statuses = ['All', 'Not Started', 'In Progress', 'Need Assistance', 'Deferred', 'Completed'];
const tasks = [
{
Task_ID: 1,
Task_Subject: 'Prepare 2013 Financial',
Task_Start_Date: '2013-01-15T00:00:00',
Task_Due_Date: '2013-01-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 2,
Task_Subject: 'Prepare 2013 Marketing Plan',
Task_Start_Date: '2013-01-01T00:00:00',
Task_Due_Date: '2013-01-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 3,
Task_Subject: 'Update Personnel Files',
Task_Start_Date: '2013-02-03T00:00:00',
Task_Due_Date: '2013-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 4,
Task_Subject: 'Review Health Insurance Options Under the Affordable Care Act',
Task_Start_Date: '2013-02-12T00:00:00',
Task_Due_Date: '2013-04-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 5,
Task_Subject: 'Choose between PPO and HMO Health Plan',
Task_Start_Date: '2013-02-15T00:00:00',
Task_Due_Date: '2013-04-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 6,
Task_Subject: 'Google AdWords Strategy',
Task_Start_Date: '2013-02-16T00:00:00',
Task_Due_Date: '2013-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 7,
Task_Subject: 'New Brochures',
Task_Start_Date: '2013-02-17T00:00:00',
Task_Due_Date: '2013-02-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 8,
Task_Subject: '2013 Brochure Designs',
Task_Start_Date: '2013-02-19T00:00:00',
Task_Due_Date: '2013-02-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 9,
Task_Subject: 'Brochure Design Review',
Task_Start_Date: '2013-02-19T00:00:00',
Task_Due_Date: '2013-02-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 10,
Task_Subject: 'Website Re-Design Plan',
Task_Start_Date: '2013-02-19T00:00:00',
Task_Due_Date: '2013-02-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 11,
Task_Subject: 'Rollout of New Website and Marketing Brochures',
Task_Start_Date: '2013-02-20T00:00:00',
Task_Due_Date: '2013-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 12,
Task_Subject: 'Update Sales Strategy Documents',
Task_Start_Date: '2013-02-20T00:00:00',
Task_Due_Date: '2013-02-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 13,
Task_Subject: 'Create 2012 Sales Report',
Task_Start_Date: '2013-02-20T00:00:00',
Task_Due_Date: '2013-02-21T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 14,
Task_Subject: 'Direct vs Online Sales Comparison Report',
Task_Start_Date: '2013-02-20T00:00:00',
Task_Due_Date: '2013-02-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 15,
Task_Subject: 'Review 2012 Sales Report and Approve 2013 Plans',
Task_Start_Date: '2013-02-23T00:00:00',
Task_Due_Date: '2013-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 16,
Task_Subject: 'Deliver R&D Plans for 2013',
Task_Start_Date: '2013-03-01T00:00:00',
Task_Due_Date: '2013-03-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 17,
Task_Subject: 'Create 2013 R&D Plans',
Task_Start_Date: '2013-03-01T00:00:00',
Task_Due_Date: '2013-03-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 18,
Task_Subject: '2013 QA Strategy Report',
Task_Start_Date: '2013-03-02T00:00:00',
Task_Due_Date: '2013-03-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 19,
Task_Subject: '2013 Training Events',
Task_Start_Date: '2013-03-02T00:00:00',
Task_Due_Date: '2013-03-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Nat Maguiree',
},
{
Task_ID: 20,
Task_Subject: 'Approve Hiring of John Jeffers',
Task_Start_Date: '2013-03-02T00:00:00',
Task_Due_Date: '2013-03-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 21,
Task_Subject: 'Non-Compete Agreements',
Task_Start_Date: '2013-03-12T00:00:00',
Task_Due_Date: '2013-03-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 1,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 22,
Task_Subject: 'Update NDA Agreement',
Task_Start_Date: '2013-03-14T00:00:00',
Task_Due_Date: '2013-03-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 23,
Task_Subject: 'Update Employee Files with New NDA',
Task_Start_Date: '2013-03-16T00:00:00',
Task_Due_Date: '2013-03-26T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 24,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2013-03-20T00:00:00',
Task_Due_Date: '2013-03-25T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 25,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2013-03-20T00:00:00',
Task_Due_Date: '2013-03-25T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 26,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2013-03-20T00:00:00',
Task_Due_Date: '2013-03-25T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 3,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 27,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2013-03-20T00:00:00',
Task_Due_Date: '2013-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 28,
Task_Subject: 'Submit Questions Regarding New NDA',
Task_Start_Date: '2013-03-21T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 29,
Task_Subject: 'Submit Questions Regarding New NDA',
Task_Start_Date: '2013-03-21T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 30,
Task_Subject: 'Submit Questions Regarding New NDA',
Task_Start_Date: '2013-03-21T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 4,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 31,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2013-03-22T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 32,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2013-03-22T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 33,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2013-03-22T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 34,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2013-03-22T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 35,
Task_Subject: 'Update Revenue Projections',
Task_Start_Date: '2013-03-24T00:00:00',
Task_Due_Date: '2013-04-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 36,
Task_Subject: 'Review Revenue Projections',
Task_Start_Date: '2013-03-25T00:00:00',
Task_Due_Date: '2013-04-06T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 37,
Task_Subject: 'Comment on Revenue Projections',
Task_Start_Date: '2013-03-25T00:00:00',
Task_Due_Date: '2013-04-03T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 38,
Task_Subject: 'Comment on Revenue Projections',
Task_Start_Date: '2013-03-25T00:00:00',
Task_Due_Date: '2013-04-03T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 39,
Task_Subject: 'Comment on Revenue Projections',
Task_Start_Date: '2013-03-25T00:00:00',
Task_Due_Date: '2013-04-03T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 3,
Employee_Full_Name: 'Todd Hoffman',
},
{
Task_ID: 40,
Task_Subject: 'Provide New Health Insurance Docs',
Task_Start_Date: '2013-03-28T00:00:00',
Task_Due_Date: '2013-04-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 41,
Task_Subject: 'Review Changes to Health Insurance Coverage',
Task_Start_Date: '2013-04-07T00:00:00',
Task_Due_Date: '2013-04-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 42,
Task_Subject: 'Scan Health Insurance Forms',
Task_Start_Date: '2013-04-15T00:00:00',
Task_Due_Date: '2013-04-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 43,
Task_Subject: 'Sign Health Insurance Forms',
Task_Start_Date: '2013-04-16T00:00:00',
Task_Due_Date: '2013-04-19T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 44,
Task_Subject: 'Sign Health Insurance Forms',
Task_Start_Date: '2013-04-16T00:00:00',
Task_Due_Date: '2013-04-19T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 45,
Task_Subject: 'Sign Health Insurance Forms',
Task_Start_Date: '2013-04-16T00:00:00',
Task_Due_Date: '2013-04-19T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 4,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 46,
Task_Subject: 'Follow up with West Coast Stores',
Task_Start_Date: '2013-04-18T00:00:00',
Task_Due_Date: '2014-02-04T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 47,
Task_Subject: 'Follow up with East Coast Stores',
Task_Start_Date: '2013-04-18T00:00:00',
Task_Due_Date: '2014-01-04T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 48,
Task_Subject: 'Send Email to Customers about Recall',
Task_Start_Date: '2013-04-18T00:00:00',
Task_Due_Date: '2013-04-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 49,
Task_Subject: 'Submit Refund Report for 2013 Recall',
Task_Start_Date: '2013-04-25T00:00:00',
Task_Due_Date: '2013-05-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 50,
Task_Subject: 'Give Final Approval for Refunds',
Task_Start_Date: '2013-05-05T00:00:00',
Task_Due_Date: '2013-05-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 51,
Task_Subject: 'Prepare Product Recall Report',
Task_Start_Date: '2013-05-10T00:00:00',
Task_Due_Date: '2013-05-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 52,
Task_Subject: 'Review Product Recall Report by Engineering Team',
Task_Start_Date: '2013-05-17T00:00:00',
Task_Due_Date: '2013-05-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 53,
Task_Subject: 'Create Training Course for New TVs',
Task_Start_Date: '2013-05-29T00:00:00',
Task_Due_Date: '2013-06-29T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Nat Maguiree',
},
{
Task_ID: 54,
Task_Subject: 'Review Training Course for any Omissions',
Task_Start_Date: '2013-06-01T00:00:00',
Task_Due_Date: '2013-06-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 55,
Task_Subject: 'Review Overtime Report',
Task_Start_Date: '2013-06-10T00:00:00',
Task_Due_Date: '2013-06-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 56,
Task_Subject: 'Submit Overtime Request Forms',
Task_Start_Date: '2013-06-11T00:00:00',
Task_Due_Date: '2013-06-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Taylor Riley',
},
{
Task_ID: 57,
Task_Subject: 'Submit Overtime Request Forms',
Task_Start_Date: '2013-06-11T00:00:00',
Task_Due_Date: '2013-06-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 58,
Task_Subject: 'Submit Overtime Request Forms',
Task_Start_Date: '2013-06-11T00:00:00',
Task_Due_Date: '2013-06-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Wally Hobbs',
},
{
Task_ID: 59,
Task_Subject: 'Overtime Approval Guidelines',
Task_Start_Date: '2013-06-15T00:00:00',
Task_Due_Date: '2013-06-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 60,
Task_Subject: 'Refund Request Template',
Task_Start_Date: '2013-06-17T00:00:00',
Task_Due_Date: '2014-04-01T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 61,
Task_Subject: 'Recall Rebate Form',
Task_Start_Date: '2013-06-17T00:00:00',
Task_Due_Date: '2014-04-01T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 62,
Task_Subject: 'Create Report on Customer Feedback',
Task_Start_Date: '2013-06-20T00:00:00',
Task_Due_Date: '2013-06-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 63,
Task_Subject: 'Review Customer Feedback Report',
Task_Start_Date: '2013-06-30T00:00:00',
Task_Due_Date: '2013-07-03T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 64,
Task_Subject: 'Customer Feedback Report Analysis',
Task_Start_Date: '2013-07-05T00:00:00',
Task_Due_Date: '2014-04-09T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 65,
Task_Subject: 'Prepare Shipping Cost Analysis Report',
Task_Start_Date: '2013-07-10T00:00:00',
Task_Due_Date: '2013-07-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 66,
Task_Subject: 'Provide Feedback on Shippers',
Task_Start_Date: '2013-07-11T00:00:00',
Task_Due_Date: '2013-07-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 67,
Task_Subject: 'Provide Feedback on Shippers',
Task_Start_Date: '2013-07-11T00:00:00',
Task_Due_Date: '2013-07-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 68,
Task_Subject: 'Provide Feedback on Shippers',
Task_Start_Date: '2013-07-11T00:00:00',
Task_Due_Date: '2013-07-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 69,
Task_Subject: 'Select Preferred Shipper',
Task_Start_Date: '2013-07-16T00:00:00',
Task_Due_Date: '2013-07-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 70,
Task_Subject: 'Complete Shipper Selection Form',
Task_Start_Date: '2013-07-21T00:00:00',
Task_Due_Date: '2014-04-11T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 71,
Task_Subject: 'Upgrade Server Hardware',
Task_Start_Date: '2013-07-22T00:00:00',
Task_Due_Date: '2013-07-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 72,
Task_Subject: 'Upgrade Personal Computers',
Task_Start_Date: '2013-07-24T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 73,
Task_Subject: 'Approve Personal Computer Upgrade Plan',
Task_Start_Date: '2013-07-24T00:00:00',
Task_Due_Date: '2013-07-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 74,
Task_Subject: 'Decide on Mobile Devices to Use in the Field',
Task_Start_Date: '2013-07-30T00:00:00',
Task_Due_Date: '2013-08-02T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 75,
Task_Subject: 'Upgrade Apps to Windows RT or stay with WinForms',
Task_Start_Date: '2013-08-01T00:00:00',
Task_Due_Date: '2013-08-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 76,
Task_Subject: 'Estimate Time Required to Touch-Enable Apps',
Task_Start_Date: '2013-08-05T00:00:00',
Task_Due_Date: '2013-08-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 77,
Task_Subject: 'Report on Tranistion to Touch-Based Apps',
Task_Start_Date: '2013-08-10T00:00:00',
Task_Due_Date: '2013-08-11T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Wally Hobbs',
},
{
Task_ID: 78,
Task_Subject: 'Try New Touch-Enabled WinForms Apps',
Task_Start_Date: '2013-08-11T00:00:00',
Task_Due_Date: '2013-08-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 79,
Task_Subject: 'Rollout New Touch-Enabled WinForms Apps',
Task_Start_Date: '2013-08-17T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 80,
Task_Subject: 'Site Up-Time Report',
Task_Start_Date: '2013-08-20T00:00:00',
Task_Due_Date: '2013-08-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 81,
Task_Subject: 'Review Site Up-Time Report',
Task_Start_Date: '2013-08-24T00:00:00',
Task_Due_Date: '2013-08-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 82,
Task_Subject: 'Review Online Sales Report',
Task_Start_Date: '2013-08-30T00:00:00',
Task_Due_Date: '2013-09-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 83,
Task_Subject: 'Determine New Online Marketing Strategy',
Task_Start_Date: '2013-09-03T00:00:00',
Task_Due_Date: '2013-09-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 84,
Task_Subject: 'New Online Marketing Strategy',
Task_Start_Date: '2013-09-05T00:00:00',
Task_Due_Date: '2013-09-11T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 85,
Task_Subject: 'Approve New Online Marketing Strategy',
Task_Start_Date: '2013-09-15T00:00:00',
Task_Due_Date: '2013-09-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 86,
Task_Subject: 'Submit New Website Design',
Task_Start_Date: '2013-09-17T00:00:00',
Task_Due_Date: '2013-09-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 87,
Task_Subject: 'Create Icons for Website',
Task_Start_Date: '2013-09-17T00:00:00',
Task_Due_Date: '2013-09-21T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 88,
Task_Subject: 'Review PSDs for New Website',
Task_Start_Date: '2013-09-23T00:00:00',
Task_Due_Date: '2013-10-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 89,
Task_Subject: 'Create New Shopping Cart',
Task_Start_Date: '2013-09-24T00:00:00',
Task_Due_Date: '2013-10-01T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 90,
Task_Subject: 'Create New Product Pages',
Task_Start_Date: '2013-09-24T00:00:00',
Task_Due_Date: '2013-10-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 91,
Task_Subject: 'Review New Product Pages',
Task_Start_Date: '2013-10-04T00:00:00',
Task_Due_Date: '2013-10-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 92,
Task_Subject: 'Approve Website Launch',
Task_Start_Date: '2013-10-10T00:00:00',
Task_Due_Date: '2013-10-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 93,
Task_Subject: 'Launch New Website',
Task_Start_Date: '2013-10-15T00:00:00',
Task_Due_Date: '2013-10-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 94,
Task_Subject: 'Update Customer Shipping Profiles',
Task_Start_Date: '2013-10-20T00:00:00',
Task_Due_Date: '2013-10-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 95,
Task_Subject: 'Create New Shipping Return Labels',
Task_Start_Date: '2013-10-21T00:00:00',
Task_Due_Date: '2013-10-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 96,
Task_Subject: 'Get Design for Shipping Return Labels',
Task_Start_Date: '2013-10-21T00:00:00',
Task_Due_Date: '2013-10-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Wally Hobbs',
},
{
Task_ID: 97,
Task_Subject: 'PSD needed for Shipping Return Labels',
Task_Start_Date: '2013-10-22T00:00:00',
Task_Due_Date: '2013-10-27T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 98,
Task_Subject: 'Request Bandwidth Increase from ISP',
Task_Start_Date: '2013-11-01T00:00:00',
Task_Due_Date: '2013-11-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 99,
Task_Subject: 'Submit D&B Number to ISP for Credit Approval',
Task_Start_Date: '2013-11-04T00:00:00',
Task_Due_Date: '2013-11-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 100,
Task_Subject: 'Contact ISP and Discuss Payment Options',
Task_Start_Date: '2013-11-05T00:00:00',
Task_Due_Date: '2013-11-06T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 101,
Task_Subject: 'Prepare Year-End Support Summary Report',
Task_Start_Date: '2013-11-10T00:00:00',
Task_Due_Date: '2013-11-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 102,
Task_Subject: 'Analyze Support Traffic for 2013',
Task_Start_Date: '2013-11-11T00:00:00',
Task_Due_Date: '2013-11-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 103,
Task_Subject: 'Review New Training Material',
Task_Start_Date: '2013-11-14T00:00:00',
Task_Due_Date: '2013-11-18T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 104,
Task_Subject: 'Distribute Training Material to Support Staff',
Task_Start_Date: '2013-11-18T00:00:00',
Task_Due_Date: '2013-11-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Nat Maguiree',
},
{
Task_ID: 105,
Task_Subject: 'Training Material Distribution Schedule',
Task_Start_Date: '2013-11-30T00:00:00',
Task_Due_Date: '2013-12-02T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 106,
Task_Subject: 'Provide New Artwork to Support Team',
Task_Start_Date: '2013-12-03T00:00:00',
Task_Due_Date: '2013-12-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 107,
Task_Subject: 'Publish New Art on the Server',
Task_Start_Date: '2013-12-03T00:00:00',
Task_Due_Date: '2013-12-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 108,
Task_Subject: 'Replace Old Artwork with New Artwork',
Task_Start_Date: '2013-12-07T00:00:00',
Task_Due_Date: '2013-12-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 109,
Task_Subject: 'Replace Old Artwork with New Artwork',
Task_Start_Date: '2013-12-07T00:00:00',
Task_Due_Date: '2013-12-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Olivia Peyton',
},
{
Task_ID: 110,
Task_Subject: 'Replace Old Artwork with New Artwork',
Task_Start_Date: '2013-12-07T00:00:00',
Task_Due_Date: '2013-12-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Lucy Ball',
},
{
Task_ID: 111,
Task_Subject: 'Ship New Brochures to Field',
Task_Start_Date: '2013-12-19T00:00:00',
Task_Due_Date: '2013-12-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 112,
Task_Subject: 'Ship Brochures to Todd Hoffman',
Task_Start_Date: '2013-12-23T00:00:00',
Task_Due_Date: '2013-12-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 113,
Task_Subject: 'Update Server with Service Packs',
Task_Start_Date: '2013-12-24T00:00:00',
Task_Due_Date: '2013-12-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 114,
Task_Subject: 'Install New Database',
Task_Start_Date: '2013-12-27T00:00:00',
Task_Due_Date: '2013-12-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 115,
Task_Subject: 'Approve Overtime for HR',
Task_Start_Date: '2013-12-29T00:00:00',
Task_Due_Date: '2013-12-29T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 116,
Task_Subject: 'Review New HDMI Specification',
Task_Start_Date: '2014-01-02T00:00:00',
Task_Due_Date: '2014-01-31T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 117,
Task_Subject: 'Approval on Converting to New HDMI Specification',
Task_Start_Date: '2014-01-11T00:00:00',
Task_Due_Date: '2014-01-31T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 118,
Task_Subject: 'Create New Spike for Automation Server',
Task_Start_Date: '2014-01-15T00:00:00',
Task_Due_Date: '2014-01-27T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 119,
Task_Subject: 'Report on Retail Sales Strategy for 2014',
Task_Start_Date: '2014-01-20T00:00:00',
Task_Due_Date: '2014-01-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 120,
Task_Subject: 'Code Review - New Automation Server',
Task_Start_Date: '2014-01-27T00:00:00',
Task_Due_Date: '2014-02-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 121,
Task_Subject: 'Feedback on New Training Course',
Task_Start_Date: '2014-01-28T00:00:00',
Task_Due_Date: '2014-02-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 122,
Task_Subject: 'Send Monthly Invoices from Shippers',
Task_Start_Date: '2014-02-01T00:00:00',
Task_Due_Date: '2014-02-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 123,
Task_Subject: 'Schedule Meeting with Sales Team',
Task_Start_Date: '2014-02-07T00:00:00',
Task_Due_Date: '2014-02-09T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Lucy Ball',
},
{
Task_ID: 124,
Task_Subject: 'Confirm Availability for Sales Meeting',
Task_Start_Date: '2014-02-09T00:00:00',
Task_Due_Date: '2014-02-09T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 125,
Task_Subject: 'Reschedule Sales Team Meeting',
Task_Start_Date: '2014-02-10T00:00:00',
Task_Due_Date: '2014-02-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Gabe Jones',
},
{
Task_ID: 126,
Task_Subject: 'Send 2 Remotes for Giveaways',
Task_Start_Date: '2014-02-15T00:00:00',
Task_Due_Date: '2014-02-17T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Lucy Ball',
},
{
Task_ID: 127,
Task_Subject: 'Ship 2 Remotes Priority to Clark Morgan',
Task_Start_Date: '2014-02-16T00:00:00',
Task_Due_Date: '2014-02-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 128,
Task_Subject: 'Discuss Product Giveaways with Management',
Task_Start_Date: '2014-02-19T00:00:00',
Task_Due_Date: '2014-02-28T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Olivia Peyton',
},
{
Task_ID: 129,
Task_Subject: 'Follow Up Email with Recent Online Purchasers',
Task_Start_Date: '2014-02-26T00:00:00',
Task_Due_Date: '2014-03-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 130,
Task_Subject: 'Replace Desktops on the 3rd Floor',
Task_Start_Date: '2014-02-27T00:00:00',
Task_Due_Date: '2014-03-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Taylor Riley',
},
{
Task_ID: 131,
Task_Subject: 'Update Database with New Leads',
Task_Start_Date: '2014-03-01T00:00:00',
Task_Due_Date: '2014-03-10T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Todd Hoffman',
},
{
Task_ID: 132,
Task_Subject: 'Mail New Leads for Follow Up',
Task_Start_Date: '2014-03-10T00:00:00',
Task_Due_Date: '2014-03-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Todd Hoffman',
},
{
Task_ID: 133,
Task_Subject: 'Send Territory Sales Breakdown',
Task_Start_Date: '2014-03-13T00:00:00',
Task_Due_Date: '2014-03-16T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 134,
Task_Subject: 'Territory Sales Breakdown Report',
Task_Start_Date: '2014-03-17T00:00:00',
Task_Due_Date: '2014-03-17T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 135,
Task_Subject: 'Return Merchandise Report',
Task_Start_Date: '2014-03-17T00:00:00',
Task_Due_Date: '2014-03-18T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 136,
Task_Subject: 'Report on the State of Engineering Dept',
Task_Start_Date: '2014-03-18T00:00:00',
Task_Due_Date: '2014-03-19T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 137,
Task_Subject: 'Staff Productivity Report',
Task_Start_Date: '2014-03-20T00:00:00',
Task_Due_Date: '2014-03-21T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 138,
Task_Subject: 'Review HR Budget Company Wide',
Task_Start_Date: '2014-03-20T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 139,
Task_Subject: 'Sales Dept Budget Request Report',
Task_Start_Date: '2014-03-23T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 140,
Task_Subject: 'Support Dept Budget Report',
Task_Start_Date: '2014-03-23T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 141,
Task_Subject: 'IT Dept Budget Request Report',
Task_Start_Date: '2014-03-23T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 142,
Task_Subject: 'Engineering Dept Budget Request Report',
Task_Start_Date: '2014-03-23T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 4,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 143,
Task_Subject: '1Q Travel Spend Report',
Task_Start_Date: '2014-03-24T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Marcus Orbison',
},
{
Task_ID: 144,
Task_Subject: 'Approve Benefits Upgrade Package',
Task_Start_Date: '2014-03-26T00:00:00',
Task_Due_Date: '2014-03-27T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 145,
Task_Subject: 'Final Budget Review',
Task_Start_Date: '2014-03-26T00:00:00',
Task_Due_Date: '2014-03-27T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 146,
Task_Subject: 'State of Operations Report',
Task_Start_Date: '2014-03-28T00:00:00',
Task_Due_Date: '2014-03-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 147,
Task_Subject: 'Online Sales Report',
Task_Start_Date: '2014-03-29T00:00:00',
Task_Due_Date: '2014-03-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 148,
Task_Subject: 'Reprint All Shipping Labels',
Task_Start_Date: '2014-04-01T00:00:00',
Task_Due_Date: '2014-04-10T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 149,
Task_Subject: 'Shipping Label Artwork',
Task_Start_Date: '2014-04-02T00:00:00',
Task_Due_Date: '2014-04-09T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 150,
Task_Subject: 'Specs for New Shipping Label',
Task_Start_Date: '2014-04-04T00:00:00',
Task_Due_Date: '2014-04-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 151,
Task_Subject: 'Move Packaging Materials to New Warehouse',
Task_Start_Date: '2014-04-05T00:00:00',
Task_Due_Date: '2014-04-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 152,
Task_Subject: 'Move Inventory to New Warehouse',
Task_Start_Date: '2014-04-05T00:00:00',
Task_Due_Date: '2014-04-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 153,
Task_Subject: 'Take Forklift to Service Center',
Task_Start_Date: '2014-04-07T00:00:00',
Task_Due_Date: '2014-04-18T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 154,
Task_Subject: 'Approve Rental of Forklift',
Task_Start_Date: '2014-04-08T00:00:00',
Task_Due_Date: '2014-04-09T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 4,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 155,
Task_Subject: 'Give Final Approval to Rent Forklift',
Task_Start_Date: '2014-04-08T00:00:00',
Task_Due_Date: '2014-04-08T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 2,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 156,
Task_Subject: 'Approve Overtime Pay',
Task_Start_Date: '2014-04-12T00:00:00',
Task_Due_Date: '2014-04-13T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 157,
Task_Subject: 'Approve Vacation Request',
Task_Start_Date: '2014-04-15T00:00:00',
Task_Due_Date: '2014-04-20T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 158,
Task_Subject: 'Approve Salary Increase Request',
Task_Start_Date: '2014-04-16T00:00:00',
Task_Due_Date: '2014-04-24T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 159,
Task_Subject: 'Review Complaint Reports',
Task_Start_Date: '2014-04-17T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 160,
Task_Subject: 'Review Website Complaint Reports',
Task_Start_Date: '2014-04-18T00:00:00',
Task_Due_Date: '2014-04-24T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 161,
Task_Subject: 'Test New Automation App',
Task_Start_Date: '2014-04-20T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 162,
Task_Subject: 'Fix Synchronization Issues',
Task_Start_Date: '2014-04-21T00:00:00',
Task_Due_Date: '2014-04-21T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Terry Bradley',
},
{
Task_ID: 163,
Task_Subject: 'Free Up Space for New Application Set',
Task_Start_Date: '2014-04-19T00:00:00',
Task_Due_Date: '2014-04-19T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 164,
Task_Subject: 'Install New Router in Dev Room',
Task_Start_Date: '2014-04-23T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 165,
Task_Subject: 'Update Your Profile on Website',
Task_Start_Date: '2014-04-28T00:00:00',
Task_Due_Date: '2014-05-02T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 2,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 166,
Task_Subject: 'Schedule Conf Call with SuperMart',
Task_Start_Date: '2014-04-29T00:00:00',
Task_Due_Date: '2014-05-03T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 167,
Task_Subject: 'Support Team Evaluation Report',
Task_Start_Date: '2014-05-01T00:00:00',
Task_Due_Date: '2014-05-07T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 168,
Task_Subject: 'Create New Installer for Company Wide App Deployment',
Task_Start_Date: '2014-05-02T00:00:00',
Task_Due_Date: '2014-05-08T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 169,
Task_Subject: 'Pickup Packages from the Warehouse',
Task_Start_Date: '2014-04-30T00:00:00',
Task_Due_Date: '2014-05-01T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 170,
Task_Subject: 'Submit Travel Expenses for Recent Trip',
Task_Start_Date: '2014-04-30T00:00:00',
Task_Due_Date: '2014-05-05T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Gabe Jones',
},
{
Task_ID: 171,
Task_Subject: 'Make Travel Arrangements for Sales Trip to San Francisco',
Task_Start_Date: '2014-04-29T00:00:00',
Task_Due_Date: '2014-05-07T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Gabe Jones',
},
{
Task_ID: 172,
Task_Subject: 'Book Flights to San Fran for Sales Trip',
Task_Start_Date: '2014-04-30T00:00:00',
Task_Due_Date: '2014-05-05T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Marcus Orbison',
},
{
Task_ID: 173,
Task_Subject: 'Collect Customer Reviews for Website',
Task_Start_Date: '2014-05-01T00:00:00',
Task_Due_Date: '2014-05-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 174,
Task_Subject: 'Submit New W4 for Updated Exemptions',
Task_Start_Date: '2014-05-02T00:00:00',
Task_Due_Date: '2014-05-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 175,
Task_Subject: 'Get New Frequent Flier Account',
Task_Start_Date: '2014-05-03T00:00:00',
Task_Due_Date: '2014-05-18T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 176,
Task_Subject: 'Review New Customer Follow Up Plan',
Task_Start_Date: '2014-05-05T00:00:00',
Task_Due_Date: '2014-05-11T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 177,
Task_Subject: 'Submit Customer Follow Up Plan Feedback',
Task_Start_Date: '2014-05-06T00:00:00',
Task_Due_Date: '2014-05-10T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 178,
Task_Subject: 'Review Issue Report and Provide Workarounds',
Task_Start_Date: '2014-05-04T00:00:00',
Task_Due_Date: '2014-06-01T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 179,
Task_Subject: 'Contact Customers for Video Interviews',
Task_Start_Date: '2014-05-07T00:00:00',
Task_Due_Date: '2014-05-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 180,
Task_Subject: 'Resubmit Request for Expense Reimbursement',
Task_Start_Date: '2014-05-09T00:00:00',
Task_Due_Date: '2014-05-15T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 181,
Task_Subject: 'Approve Vacation Request Form',
Task_Start_Date: '2014-05-10T00:00:00',
Task_Due_Date: '2014-05-15T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 182,
Task_Subject: 'Email Test Report on New Products',
Task_Start_Date: '2014-05-12T00:00:00',
Task_Due_Date: '2014-05-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 183,
Task_Subject: 'Send Receipts for all Flights Last Month',
Task_Start_Date: '2014-05-10T00:00:00',
Task_Due_Date: '2014-05-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Marcus Orbison',
},
];

<div class="left-side">
<div class="logo">
<img src="../../../../images/logo-devav.png" alt="DEVAV" />
<img src="../../../../images/logo-tasks.png" alt="Tasks" />
</div>
</div>
<div class="right-side">
<dx-select-box
[items]="statuses"
[inputAttr]="{ 'aria-label': 'Status' }"
[value]="statuses[0]"
(onValueChanged)="selectStatus($event)"
></dx-select-box>
</div>
<dx-data-grid
id="gridContainer"
[columnAutoWidth]="true"
[dataSource]="tasks"
keyExpr="Task_ID"
[showBorders]="true"
>
<dxo-data-grid-pager [visible]="true"></dxo-data-grid-pager>
<dxi-data-grid-column
dataField="Task_ID"
[width]="80"
dataType="number"
></dxi-data-grid-column>
<dxi-data-grid-column
dataField="Task_Start_Date"
dataType="date"
caption="Start Date"
></dxi-data-grid-column>
<dxi-data-grid-column
cssClass="employee"
dataField="Employee_Full_Name"
dataType="string"
caption="Assigned To"
[allowSorting]="false"
></dxi-data-grid-column>
<dxi-data-grid-column
dataField="Task_Subject"
[width]="350"
dataType="string"
caption="Subject"
></dxi-data-grid-column>
<dxi-data-grid-column
dataField="Task_Status"
dataType="string"
caption="Status"
></dxi-data-grid-column>
</dx-data-grid>
import { bootstrapApplication } from '@angular/platform-browser';
import { Component, ViewChild, enableProdMode, provideZoneChangeDetection } from '@angular/core';
import { DxDataGridComponent, DxDataGridModule, DxSelectBoxModule } from 'devextreme-angular';
import { type DxSelectBoxTypes } from 'devextreme-angular/ui/select-box';
import { Service, Task } from './app.service';
if (!/localhost/.test(document.location.host)) {
enableProdMode();
}
let modulePrefix = '';
// @ts-ignore
if (window && window.config?.packageConfigPaths) {
modulePrefix = '/app';
}
@Component({
selector: 'demo-app',
templateUrl: `app/app.component.html`,
styleUrls: [`app/app.component.css`],
preserveWhitespaces: true,
providers: [Service],
imports: [
DxDataGridModule,
DxSelectBoxModule,
],
})
export class AppComponent {
@ViewChild(DxDataGridComponent, { static: false }) dataGrid: DxDataGridComponent;
statuses: string[];
tasks: Task[];
constructor(private service: Service) {
this.statuses = this.service.getStatuses();
this.tasks = this.service.getTasks();
}
selectStatus(e: DxSelectBoxTypes.ValueChangedEvent) {
if (e.value === 'All') {
this.dataGrid.instance.clearFilter();
} else {
this.dataGrid.instance.filter(['Task_Status', '=', e.value]);
}
}
}
bootstrapApplication(AppComponent, {
providers: [
provideZoneChangeDetection({ eventCoalescing: true, runCoalescing: true }),
],
});
::ng-deep .right-side {
position: absolute;
right: 1px;
top: 6px;
}
::ng-deep .logo {
line-height: 48px;
}
::ng-deep .logo img {
vertical-align: middle;
margin: 0 5px;
}
::ng-deep .dx-row.dx-data-row .employee {
color: var(--dx-color-primary);
font-weight: bold;
}
::ng-deep #gridContainer {
margin: 20px 0;
height: 400px;
}
import { Injectable } from '@angular/core';
export interface Task {
Task_ID: number;
Task_Subject: string;
Task_Start_Date: string;
Task_Due_Date: string;
Task_Status: string;
Task_Priority: number;
Employee_Full_Name: string;
}
const statuses: string[] = ['All', 'Not Started', 'In Progress', 'Need Assistance', 'Deferred', 'Completed'];
const tasks: Task[] = [
{
Task_ID: 1,
Task_Subject: 'Prepare 2023 Financial',
Task_Start_Date: '2023-01-15T00:00:00',
Task_Due_Date: '2023-01-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 2,
Task_Subject: 'Prepare 2023 Marketing Plan',
Task_Start_Date: '2023-01-01T00:00:00',
Task_Due_Date: '2023-01-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 3,
Task_Subject: 'Update Personnel Files',
Task_Start_Date: '2023-02-03T00:00:00',
Task_Due_Date: '2023-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 4,
Task_Subject: 'Review Health Insurance Options Under the Affordable Care Act',
Task_Start_Date: '2023-02-12T00:00:00',
Task_Due_Date: '2023-04-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 5,
Task_Subject: 'Choose between PPO and HMO Health Plan',
Task_Start_Date: '2023-02-15T00:00:00',
Task_Due_Date: '2023-04-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 6,
Task_Subject: 'Google AdWords Strategy',
Task_Start_Date: '2023-02-16T00:00:00',
Task_Due_Date: '2023-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 7,
Task_Subject: 'New Brochures',
Task_Start_Date: '2023-02-17T00:00:00',
Task_Due_Date: '2023-02-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 8,
Task_Subject: '2023 Brochure Designs',
Task_Start_Date: '2023-02-19T00:00:00',
Task_Due_Date: '2023-02-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 9,
Task_Subject: 'Brochure Design Review',
Task_Start_Date: '2023-02-19T00:00:00',
Task_Due_Date: '2023-02-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 10,
Task_Subject: 'Website Re-Design Plan',
Task_Start_Date: '2023-02-19T00:00:00',
Task_Due_Date: '2023-02-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 11,
Task_Subject: 'Rollout of New Website and Marketing Brochures',
Task_Start_Date: '2023-02-20T00:00:00',
Task_Due_Date: '2023-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 12,
Task_Subject: 'Update Sales Strategy Documents',
Task_Start_Date: '2023-02-20T00:00:00',
Task_Due_Date: '2023-02-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 13,
Task_Subject: 'Create 2022 Sales Report',
Task_Start_Date: '2023-02-20T00:00:00',
Task_Due_Date: '2023-02-21T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 14,
Task_Subject: 'Direct vs Online Sales Comparison Report',
Task_Start_Date: '2023-02-20T00:00:00',
Task_Due_Date: '2023-02-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 15,
Task_Subject: 'Review 2022 Sales Report and Approve 2023 Plans',
Task_Start_Date: '2023-02-23T00:00:00',
Task_Due_Date: '2023-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 16,
Task_Subject: 'Deliver R&D Plans for 2023',
Task_Start_Date: '2023-03-01T00:00:00',
Task_Due_Date: '2023-03-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 17,
Task_Subject: 'Create 2023 R&D Plans',
Task_Start_Date: '2023-03-01T00:00:00',
Task_Due_Date: '2023-03-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 18,
Task_Subject: '2023 QA Strategy Report',
Task_Start_Date: '2023-03-02T00:00:00',
Task_Due_Date: '2023-03-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 19,
Task_Subject: '2023 Training Events',
Task_Start_Date: '2023-03-02T00:00:00',
Task_Due_Date: '2023-03-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Nat Maguiree',
},
{
Task_ID: 20,
Task_Subject: 'Approve Hiring of John Jeffers',
Task_Start_Date: '2023-03-02T00:00:00',
Task_Due_Date: '2023-03-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 21,
Task_Subject: 'Non-Compete Agreements',
Task_Start_Date: '2023-03-12T00:00:00',
Task_Due_Date: '2023-03-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 1,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 22,
Task_Subject: 'Update NDA Agreement',
Task_Start_Date: '2023-03-14T00:00:00',
Task_Due_Date: '2023-03-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 23,
Task_Subject: 'Update Employee Files with New NDA',
Task_Start_Date: '2023-03-16T00:00:00',
Task_Due_Date: '2023-03-26T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 24,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2023-03-20T00:00:00',
Task_Due_Date: '2023-03-25T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 25,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2023-03-20T00:00:00',
Task_Due_Date: '2023-03-25T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 26,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2023-03-20T00:00:00',
Task_Due_Date: '2023-03-25T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 3,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 27,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2023-03-20T00:00:00',
Task_Due_Date: '2023-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 28,
Task_Subject: 'Submit Questions Regarding New NDA',
Task_Start_Date: '2023-03-21T00:00:00',
Task_Due_Date: '2023-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 29,
Task_Subject: 'Submit Questions Regarding New NDA',
Task_Start_Date: '2023-03-21T00:00:00',
Task_Due_Date: '2023-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 30,
Task_Subject: 'Submit Questions Regarding New NDA',
Task_Start_Date: '2023-03-21T00:00:00',
Task_Due_Date: '2023-03-24T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 4,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 31,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2023-03-22T00:00:00',
Task_Due_Date: '2023-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 32,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2023-03-22T00:00:00',
Task_Due_Date: '2023-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 33,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2023-03-22T00:00:00',
Task_Due_Date: '2023-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 34,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2023-03-22T00:00:00',
Task_Due_Date: '2023-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 35,
Task_Subject: 'Update Revenue Projections',
Task_Start_Date: '2023-03-24T00:00:00',
Task_Due_Date: '2023-04-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 36,
Task_Subject: 'Review Revenue Projections',
Task_Start_Date: '2023-03-25T00:00:00',
Task_Due_Date: '2023-04-06T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 37,
Task_Subject: 'Comment on Revenue Projections',
Task_Start_Date: '2023-03-25T00:00:00',
Task_Due_Date: '2023-04-03T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 38,
Task_Subject: 'Comment on Revenue Projections',
Task_Start_Date: '2023-03-25T00:00:00',
Task_Due_Date: '2023-04-03T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 39,
Task_Subject: 'Comment on Revenue Projections',
Task_Start_Date: '2023-03-25T00:00:00',
Task_Due_Date: '2023-04-03T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 3,
Employee_Full_Name: 'Todd Hoffman',
},
{
Task_ID: 40,
Task_Subject: 'Provide New Health Insurance Docs',
Task_Start_Date: '2023-03-28T00:00:00',
Task_Due_Date: '2023-04-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 41,
Task_Subject: 'Review Changes to Health Insurance Coverage',
Task_Start_Date: '2023-04-07T00:00:00',
Task_Due_Date: '2023-04-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 42,
Task_Subject: 'Scan Health Insurance Forms',
Task_Start_Date: '2023-04-15T00:00:00',
Task_Due_Date: '2023-04-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 43,
Task_Subject: 'Sign Health Insurance Forms',
Task_Start_Date: '2023-04-16T00:00:00',
Task_Due_Date: '2023-04-19T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 44,
Task_Subject: 'Sign Health Insurance Forms',
Task_Start_Date: '2023-04-16T00:00:00',
Task_Due_Date: '2023-04-19T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 45,
Task_Subject: 'Sign Health Insurance Forms',
Task_Start_Date: '2023-04-16T00:00:00',
Task_Due_Date: '2023-04-19T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 4,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 46,
Task_Subject: 'Follow up with West Coast Stores',
Task_Start_Date: '2023-04-18T00:00:00',
Task_Due_Date: '2024-02-04T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 47,
Task_Subject: 'Follow up with East Coast Stores',
Task_Start_Date: '2023-04-18T00:00:00',
Task_Due_Date: '2024-01-04T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 48,
Task_Subject: 'Send Email to Customers about Recall',
Task_Start_Date: '2023-04-18T00:00:00',
Task_Due_Date: '2023-04-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 49,
Task_Subject: 'Submit Refund Report for 2023 Recall',
Task_Start_Date: '2023-04-25T00:00:00',
Task_Due_Date: '2023-05-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 50,
Task_Subject: 'Give Final Approval for Refunds',
Task_Start_Date: '2023-05-05T00:00:00',
Task_Due_Date: '2023-05-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 51,
Task_Subject: 'Prepare Product Recall Report',
Task_Start_Date: '2023-05-10T00:00:00',
Task_Due_Date: '2023-05-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 52,
Task_Subject: 'Review Product Recall Report by Engineering Team',
Task_Start_Date: '2023-05-17T00:00:00',
Task_Due_Date: '2023-05-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 53,
Task_Subject: 'Create Training Course for New TVs',
Task_Start_Date: '2023-05-29T00:00:00',
Task_Due_Date: '2023-06-29T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Nat Maguiree',
},
{
Task_ID: 54,
Task_Subject: 'Review Training Course for any Omissions',
Task_Start_Date: '2023-06-01T00:00:00',
Task_Due_Date: '2023-06-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 55,
Task_Subject: 'Review Overtime Report',
Task_Start_Date: '2023-06-10T00:00:00',
Task_Due_Date: '2023-06-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 56,
Task_Subject: 'Submit Overtime Request Forms',
Task_Start_Date: '2023-06-11T00:00:00',
Task_Due_Date: '2023-06-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Taylor Riley',
},
{
Task_ID: 57,
Task_Subject: 'Submit Overtime Request Forms',
Task_Start_Date: '2023-06-11T00:00:00',
Task_Due_Date: '2023-06-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 58,
Task_Subject: 'Submit Overtime Request Forms',
Task_Start_Date: '2023-06-11T00:00:00',
Task_Due_Date: '2023-06-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Wally Hobbs',
},
{
Task_ID: 59,
Task_Subject: 'Overtime Approval Guidelines',
Task_Start_Date: '2023-06-15T00:00:00',
Task_Due_Date: '2023-06-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 60,
Task_Subject: 'Refund Request Template',
Task_Start_Date: '2023-06-17T00:00:00',
Task_Due_Date: '2024-04-01T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 61,
Task_Subject: 'Recall Rebate Form',
Task_Start_Date: '2023-06-17T00:00:00',
Task_Due_Date: '2024-04-01T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 62,
Task_Subject: 'Create Report on Customer Feedback',
Task_Start_Date: '2023-06-20T00:00:00',
Task_Due_Date: '2023-06-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 63,
Task_Subject: 'Review Customer Feedback Report',
Task_Start_Date: '2023-06-30T00:00:00',
Task_Due_Date: '2023-07-03T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 64,
Task_Subject: 'Customer Feedback Report Analysis',
Task_Start_Date: '2023-07-05T00:00:00',
Task_Due_Date: '2024-04-09T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 65,
Task_Subject: 'Prepare Shipping Cost Analysis Report',
Task_Start_Date: '2023-07-10T00:00:00',
Task_Due_Date: '2023-07-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 66,
Task_Subject: 'Provide Feedback on Shippers',
Task_Start_Date: '2023-07-11T00:00:00',
Task_Due_Date: '2023-07-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 67,
Task_Subject: 'Provide Feedback on Shippers',
Task_Start_Date: '2023-07-11T00:00:00',
Task_Due_Date: '2023-07-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 68,
Task_Subject: 'Provide Feedback on Shippers',
Task_Start_Date: '2023-07-11T00:00:00',
Task_Due_Date: '2023-07-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 69,
Task_Subject: 'Select Preferred Shipper',
Task_Start_Date: '2023-07-16T00:00:00',
Task_Due_Date: '2023-07-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 70,
Task_Subject: 'Complete Shipper Selection Form',
Task_Start_Date: '2023-07-21T00:00:00',
Task_Due_Date: '2024-04-11T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 71,
Task_Subject: 'Upgrade Server Hardware',
Task_Start_Date: '2023-07-22T00:00:00',
Task_Due_Date: '2023-07-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 72,
Task_Subject: 'Upgrade Personal Computers',
Task_Start_Date: '2023-07-24T00:00:00',
Task_Due_Date: '2024-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 73,
Task_Subject: 'Approve Personal Computer Upgrade Plan',
Task_Start_Date: '2023-07-24T00:00:00',
Task_Due_Date: '2023-07-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 74,
Task_Subject: 'Decide on Mobile Devices to Use in the Field',
Task_Start_Date: '2023-07-30T00:00:00',
Task_Due_Date: '2023-08-02T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 75,
Task_Subject: 'Upgrade Apps to Windows RT or stay with WinForms',
Task_Start_Date: '2023-08-01T00:00:00',
Task_Due_Date: '2023-08-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 76,
Task_Subject: 'Estimate Time Required to Touch-Enable Apps',
Task_Start_Date: '2023-08-05T00:00:00',
Task_Due_Date: '2023-08-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 77,
Task_Subject: 'Report on Tranistion to Touch-Based Apps',
Task_Start_Date: '2023-08-10T00:00:00',
Task_Due_Date: '2023-08-11T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Wally Hobbs',
},
{
Task_ID: 78,
Task_Subject: 'Try New Touch-Enabled WinForms Apps',
Task_Start_Date: '2023-08-11T00:00:00',
Task_Due_Date: '2023-08-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 79,
Task_Subject: 'Rollout New Touch-Enabled WinForms Apps',
Task_Start_Date: '2023-08-17T00:00:00',
Task_Due_Date: '2024-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 80,
Task_Subject: 'Site Up-Time Report',
Task_Start_Date: '2023-08-20T00:00:00',
Task_Due_Date: '2023-08-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 81,
Task_Subject: 'Review Site Up-Time Report',
Task_Start_Date: '2023-08-24T00:00:00',
Task_Due_Date: '2023-08-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 82,
Task_Subject: 'Review Online Sales Report',
Task_Start_Date: '2023-08-30T00:00:00',
Task_Due_Date: '2023-09-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 83,
Task_Subject: 'Determine New Online Marketing Strategy',
Task_Start_Date: '2023-09-03T00:00:00',
Task_Due_Date: '2023-09-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 84,
Task_Subject: 'New Online Marketing Strategy',
Task_Start_Date: '2023-09-05T00:00:00',
Task_Due_Date: '2023-09-11T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 85,
Task_Subject: 'Approve New Online Marketing Strategy',
Task_Start_Date: '2023-09-15T00:00:00',
Task_Due_Date: '2023-09-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 86,
Task_Subject: 'Submit New Website Design',
Task_Start_Date: '2023-09-17T00:00:00',
Task_Due_Date: '2023-09-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 87,
Task_Subject: 'Create Icons for Website',
Task_Start_Date: '2023-09-17T00:00:00',
Task_Due_Date: '2023-09-21T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 88,
Task_Subject: 'Review PSDs for New Website',
Task_Start_Date: '2023-09-23T00:00:00',
Task_Due_Date: '2023-10-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 89,
Task_Subject: 'Create New Shopping Cart',
Task_Start_Date: '2023-09-24T00:00:00',
Task_Due_Date: '2023-10-01T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 90,
Task_Subject: 'Create New Product Pages',
Task_Start_Date: '2023-09-24T00:00:00',
Task_Due_Date: '2023-10-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 91,
Task_Subject: 'Review New Product Pages',
Task_Start_Date: '2023-10-04T00:00:00',
Task_Due_Date: '2023-10-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 92,
Task_Subject: 'Approve Website Launch',
Task_Start_Date: '2023-10-10T00:00:00',
Task_Due_Date: '2023-10-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 93,
Task_Subject: 'Launch New Website',
Task_Start_Date: '2023-10-15T00:00:00',
Task_Due_Date: '2023-10-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 94,
Task_Subject: 'Update Customer Shipping Profiles',
Task_Start_Date: '2023-10-20T00:00:00',
Task_Due_Date: '2023-10-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 95,
Task_Subject: 'Create New Shipping Return Labels',
Task_Start_Date: '2023-10-21T00:00:00',
Task_Due_Date: '2023-10-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 96,
Task_Subject: 'Get Design for Shipping Return Labels',
Task_Start_Date: '2023-10-21T00:00:00',
Task_Due_Date: '2023-10-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Wally Hobbs',
},
{
Task_ID: 97,
Task_Subject: 'PSD needed for Shipping Return Labels',
Task_Start_Date: '2023-10-22T00:00:00',
Task_Due_Date: '2023-10-27T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 98,
Task_Subject: 'Request Bandwidth Increase from ISP',
Task_Start_Date: '2023-11-01T00:00:00',
Task_Due_Date: '2023-11-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 99,
Task_Subject: 'Submit D&B Number to ISP for Credit Approval',
Task_Start_Date: '2023-11-04T00:00:00',
Task_Due_Date: '2023-11-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 100,
Task_Subject: 'Contact ISP and Discuss Payment Options',
Task_Start_Date: '2023-11-05T00:00:00',
Task_Due_Date: '2023-11-06T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 101,
Task_Subject: 'Prepare Year-End Support Summary Report',
Task_Start_Date: '2023-11-10T00:00:00',
Task_Due_Date: '2023-11-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 102,
Task_Subject: 'Analyze Support Traffic for 2023',
Task_Start_Date: '2023-11-11T00:00:00',
Task_Due_Date: '2023-11-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 103,
Task_Subject: 'Review New Training Material',
Task_Start_Date: '2023-11-14T00:00:00',
Task_Due_Date: '2023-11-18T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 104,
Task_Subject: 'Distribute Training Material to Support Staff',
Task_Start_Date: '2023-11-18T00:00:00',
Task_Due_Date: '2023-11-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Nat Maguiree',
},
{
Task_ID: 105,
Task_Subject: 'Training Material Distribution Schedule',
Task_Start_Date: '2023-11-30T00:00:00',
Task_Due_Date: '2023-12-02T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 106,
Task_Subject: 'Provide New Artwork to Support Team',
Task_Start_Date: '2023-12-03T00:00:00',
Task_Due_Date: '2023-12-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 107,
Task_Subject: 'Publish New Art on the Server',
Task_Start_Date: '2023-12-03T00:00:00',
Task_Due_Date: '2023-12-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 108,
Task_Subject: 'Replace Old Artwork with New Artwork',
Task_Start_Date: '2023-12-07T00:00:00',
Task_Due_Date: '2023-12-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 109,
Task_Subject: 'Replace Old Artwork with New Artwork',
Task_Start_Date: '2023-12-07T00:00:00',
Task_Due_Date: '2023-12-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Olivia Peyton',
},
{
Task_ID: 110,
Task_Subject: 'Replace Old Artwork with New Artwork',
Task_Start_Date: '2023-12-07T00:00:00',
Task_Due_Date: '2023-12-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Lucy Ball',
},
{
Task_ID: 111,
Task_Subject: 'Ship New Brochures to Field',
Task_Start_Date: '2023-12-19T00:00:00',
Task_Due_Date: '2023-12-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 112,
Task_Subject: 'Ship Brochures to Todd Hoffman',
Task_Start_Date: '2023-12-23T00:00:00',
Task_Due_Date: '2023-12-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 113,
Task_Subject: 'Update Server with Service Packs',
Task_Start_Date: '2023-12-24T00:00:00',
Task_Due_Date: '2023-12-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 114,
Task_Subject: 'Install New Database',
Task_Start_Date: '2023-12-27T00:00:00',
Task_Due_Date: '2023-12-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 115,
Task_Subject: 'Approve Overtime for HR',
Task_Start_Date: '2023-12-29T00:00:00',
Task_Due_Date: '2023-12-29T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 116,
Task_Subject: 'Review New HDMI Specification',
Task_Start_Date: '2024-01-02T00:00:00',
Task_Due_Date: '2024-01-31T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 117,
Task_Subject: 'Approval on Converting to New HDMI Specification',
Task_Start_Date: '2024-01-11T00:00:00',
Task_Due_Date: '2024-01-31T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 118,
Task_Subject: 'Create New Spike for Automation Server',
Task_Start_Date: '2024-01-15T00:00:00',
Task_Due_Date: '2024-01-27T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 119,
Task_Subject: 'Report on Retail Sales Strategy for 2024',
Task_Start_Date: '2024-01-20T00:00:00',
Task_Due_Date: '2024-01-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 120,
Task_Subject: 'Code Review - New Automation Server',
Task_Start_Date: '2024-01-27T00:00:00',
Task_Due_Date: '2024-02-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 121,
Task_Subject: 'Feedback on New Training Course',
Task_Start_Date: '2024-01-28T00:00:00',
Task_Due_Date: '2024-02-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 122,
Task_Subject: 'Send Monthly Invoices from Shippers',
Task_Start_Date: '2024-02-01T00:00:00',
Task_Due_Date: '2024-02-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 123,
Task_Subject: 'Schedule Meeting with Sales Team',
Task_Start_Date: '2024-02-07T00:00:00',
Task_Due_Date: '2024-02-09T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Lucy Ball',
},
{
Task_ID: 124,
Task_Subject: 'Confirm Availability for Sales Meeting',
Task_Start_Date: '2024-02-09T00:00:00',
Task_Due_Date: '2024-02-09T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 125,
Task_Subject: 'Reschedule Sales Team Meeting',
Task_Start_Date: '2024-02-10T00:00:00',
Task_Due_Date: '2024-02-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Gabe Jones',
},
{
Task_ID: 126,
Task_Subject: 'Send 2 Remotes for Giveaways',
Task_Start_Date: '2024-02-15T00:00:00',
Task_Due_Date: '2024-02-17T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Lucy Ball',
},
{
Task_ID: 127,
Task_Subject: 'Ship 2 Remotes Priority to Clark Morgan',
Task_Start_Date: '2024-02-16T00:00:00',
Task_Due_Date: '2024-02-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 128,
Task_Subject: 'Discuss Product Giveaways with Management',
Task_Start_Date: '2024-02-19T00:00:00',
Task_Due_Date: '2024-02-28T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Olivia Peyton',
},
{
Task_ID: 129,
Task_Subject: 'Follow Up Email with Recent Online Purchasers',
Task_Start_Date: '2024-02-26T00:00:00',
Task_Due_Date: '2024-03-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 130,
Task_Subject: 'Replace Desktops on the 3rd Floor',
Task_Start_Date: '2024-02-27T00:00:00',
Task_Due_Date: '2024-03-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Taylor Riley',
},
{
Task_ID: 131,
Task_Subject: 'Update Database with New Leads',
Task_Start_Date: '2024-03-01T00:00:00',
Task_Due_Date: '2024-03-10T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Todd Hoffman',
},
{
Task_ID: 132,
Task_Subject: 'Mail New Leads for Follow Up',
Task_Start_Date: '2024-03-10T00:00:00',
Task_Due_Date: '2024-03-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Todd Hoffman',
},
{
Task_ID: 133,
Task_Subject: 'Send Territory Sales Breakdown',
Task_Start_Date: '2024-03-13T00:00:00',
Task_Due_Date: '2024-03-16T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 134,
Task_Subject: 'Territory Sales Breakdown Report',
Task_Start_Date: '2024-03-17T00:00:00',
Task_Due_Date: '2024-03-17T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 135,
Task_Subject: 'Return Merchandise Report',
Task_Start_Date: '2024-03-17T00:00:00',
Task_Due_Date: '2024-03-18T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 136,
Task_Subject: 'Report on the State of Engineering Dept',
Task_Start_Date: '2024-03-18T00:00:00',
Task_Due_Date: '2024-03-19T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 137,
Task_Subject: 'Staff Productivity Report',
Task_Start_Date: '2024-03-20T00:00:00',
Task_Due_Date: '2024-03-21T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 138,
Task_Subject: 'Review HR Budget Company Wide',
Task_Start_Date: '2024-03-20T00:00:00',
Task_Due_Date: '2024-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 139,
Task_Subject: 'Sales Dept Budget Request Report',
Task_Start_Date: '2024-03-23T00:00:00',
Task_Due_Date: '2024-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 140,
Task_Subject: 'Support Dept Budget Report',
Task_Start_Date: '2024-03-23T00:00:00',
Task_Due_Date: '2024-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 141,
Task_Subject: 'IT Dept Budget Request Report',
Task_Start_Date: '2024-03-23T00:00:00',
Task_Due_Date: '2024-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 142,
Task_Subject: 'Engineering Dept Budget Request Report',
Task_Start_Date: '2024-03-23T00:00:00',
Task_Due_Date: '2024-03-25T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 4,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 143,
Task_Subject: '1Q Travel Spend Report',
Task_Start_Date: '2024-03-24T00:00:00',
Task_Due_Date: '2024-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Marcus Orbison',
},
{
Task_ID: 144,
Task_Subject: 'Approve Benefits Upgrade Package',
Task_Start_Date: '2024-03-26T00:00:00',
Task_Due_Date: '2024-03-27T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 145,
Task_Subject: 'Final Budget Review',
Task_Start_Date: '2024-03-26T00:00:00',
Task_Due_Date: '2024-03-27T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 146,
Task_Subject: 'State of Operations Report',
Task_Start_Date: '2024-03-28T00:00:00',
Task_Due_Date: '2024-03-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 147,
Task_Subject: 'Online Sales Report',
Task_Start_Date: '2024-03-29T00:00:00',
Task_Due_Date: '2024-03-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 148,
Task_Subject: 'Reprint All Shipping Labels',
Task_Start_Date: '2024-04-01T00:00:00',
Task_Due_Date: '2024-04-10T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 149,
Task_Subject: 'Shipping Label Artwork',
Task_Start_Date: '2024-04-02T00:00:00',
Task_Due_Date: '2024-04-09T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 150,
Task_Subject: 'Specs for New Shipping Label',
Task_Start_Date: '2024-04-04T00:00:00',
Task_Due_Date: '2024-04-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 151,
Task_Subject: 'Move Packaging Materials to New Warehouse',
Task_Start_Date: '2024-04-05T00:00:00',
Task_Due_Date: '2024-04-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 152,
Task_Subject: 'Move Inventory to New Warehouse',
Task_Start_Date: '2024-04-05T00:00:00',
Task_Due_Date: '2024-04-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 153,
Task_Subject: 'Take Forklift to Service Center',
Task_Start_Date: '2024-04-07T00:00:00',
Task_Due_Date: '2024-04-18T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 154,
Task_Subject: 'Approve Rental of Forklift',
Task_Start_Date: '2024-04-08T00:00:00',
Task_Due_Date: '2024-04-09T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 4,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 155,
Task_Subject: 'Give Final Approval to Rent Forklift',
Task_Start_Date: '2024-04-08T00:00:00',
Task_Due_Date: '2024-04-08T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 2,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 156,
Task_Subject: 'Approve Overtime Pay',
Task_Start_Date: '2024-04-12T00:00:00',
Task_Due_Date: '2024-04-13T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 157,
Task_Subject: 'Approve Vacation Request',
Task_Start_Date: '2024-04-15T00:00:00',
Task_Due_Date: '2024-04-20T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 158,
Task_Subject: 'Approve Salary Increase Request',
Task_Start_Date: '2024-04-16T00:00:00',
Task_Due_Date: '2024-04-24T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 159,
Task_Subject: 'Review Complaint Reports',
Task_Start_Date: '2024-04-17T00:00:00',
Task_Due_Date: '2024-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 160,
Task_Subject: 'Review Website Complaint Reports',
Task_Start_Date: '2024-04-18T00:00:00',
Task_Due_Date: '2024-04-24T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 161,
Task_Subject: 'Test New Automation App',
Task_Start_Date: '2024-04-20T00:00:00',
Task_Due_Date: '2024-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 162,
Task_Subject: 'Fix Synchronization Issues',
Task_Start_Date: '2024-04-21T00:00:00',
Task_Due_Date: '2024-04-21T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Terry Bradley',
},
{
Task_ID: 163,
Task_Subject: 'Free Up Space for New Application Set',
Task_Start_Date: '2024-04-19T00:00:00',
Task_Due_Date: '2024-04-19T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 164,
Task_Subject: 'Install New Router in Dev Room',
Task_Start_Date: '2024-04-23T00:00:00',
Task_Due_Date: '2024-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 165,
Task_Subject: 'Update Your Profile on Website',
Task_Start_Date: '2024-04-28T00:00:00',
Task_Due_Date: '2024-05-02T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 2,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 166,
Task_Subject: 'Schedule Conf Call with SuperMart',
Task_Start_Date: '2024-04-29T00:00:00',
Task_Due_Date: '2024-05-03T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 167,
Task_Subject: 'Support Team Evaluation Report',
Task_Start_Date: '2024-05-01T00:00:00',
Task_Due_Date: '2024-05-07T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 168,
Task_Subject: 'Create New Installer for Company Wide App Deployment',
Task_Start_Date: '2024-05-02T00:00:00',
Task_Due_Date: '2024-05-08T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 169,
Task_Subject: 'Pickup Packages from the Warehouse',
Task_Start_Date: '2024-04-30T00:00:00',
Task_Due_Date: '2024-05-01T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 170,
Task_Subject: 'Submit Travel Expenses for Recent Trip',
Task_Start_Date: '2024-04-30T00:00:00',
Task_Due_Date: '2024-05-05T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Gabe Jones',
},
{
Task_ID: 171,
Task_Subject: 'Make Travel Arrangements for Sales Trip to San Francisco',
Task_Start_Date: '2024-04-29T00:00:00',
Task_Due_Date: '2024-05-07T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Gabe Jones',
},
{
Task_ID: 172,
Task_Subject: 'Book Flights to San Fran for Sales Trip',
Task_Start_Date: '2024-04-30T00:00:00',
Task_Due_Date: '2024-05-05T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Marcus Orbison',
},
{
Task_ID: 173,
Task_Subject: 'Collect Customer Reviews for Website',
Task_Start_Date: '2024-05-01T00:00:00',
Task_Due_Date: '2024-05-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 174,
Task_Subject: 'Submit New W4 for Updated Exemptions',
Task_Start_Date: '2024-05-02T00:00:00',
Task_Due_Date: '2024-05-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 175,
Task_Subject: 'Get New Frequent Flier Account',
Task_Start_Date: '2024-05-03T00:00:00',
Task_Due_Date: '2024-05-18T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 176,
Task_Subject: 'Review New Customer Follow Up Plan',
Task_Start_Date: '2024-05-05T00:00:00',
Task_Due_Date: '2024-05-11T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 177,
Task_Subject: 'Submit Customer Follow Up Plan Feedback',
Task_Start_Date: '2024-05-06T00:00:00',
Task_Due_Date: '2024-05-10T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 178,
Task_Subject: 'Review Issue Report and Provide Workarounds',
Task_Start_Date: '2024-05-04T00:00:00',
Task_Due_Date: '2024-06-01T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 179,
Task_Subject: 'Contact Customers for Video Interviews',
Task_Start_Date: '2024-05-07T00:00:00',
Task_Due_Date: '2024-05-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 180,
Task_Subject: 'Resubmit Request for Expense Reimbursement',
Task_Start_Date: '2024-05-09T00:00:00',
Task_Due_Date: '2024-05-15T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 181,
Task_Subject: 'Approve Vacation Request Form',
Task_Start_Date: '2024-05-10T00:00:00',
Task_Due_Date: '2024-05-15T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 182,
Task_Subject: 'Email Test Report on New Products',
Task_Start_Date: '2024-05-12T00:00:00',
Task_Due_Date: '2024-05-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 183,
Task_Subject: 'Send Receipts for all Flights Last Month',
Task_Start_Date: '2024-05-10T00:00:00',
Task_Due_Date: '2024-05-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Marcus Orbison',
},
];
@Injectable()
export class Service {
getTasks() {
return tasks;
}
getStatuses() {
return statuses;
}
}
// In real applications, you should not transpile code in the browser.
// You can see how to create your own application with Angular and DevExtreme here:
// https://js.devexpress.com/Documentation/Guide/Angular_Components/Getting_Started/Create_a_DevExtreme_Application/
const componentNames = [
'accordion',
'action-sheet',
'autocomplete',
'bar-gauge',
'box',
'bullet',
'button-group',
'button',
'calendar',
'card-view',
'chart',
'chat',
'check-box',
'circular-gauge',
'color-box',
'context-menu',
'data-grid',
'date-box',
'date-range-box',
'defer-rendering',
'diagram',
'draggable',
'drawer',
'drop-down-box',
'drop-down-button',
'file-manager',
'file-uploader',
'filter-builder',
'form',
'funnel',
'gallery',
'gantt',
'html-editor',
'linear-gauge',
'list',
'load-indicator',
'load-panel',
'lookup',
'map',
'menu',
'multi-view',
'nested',
'number-box',
'pagination',
'pie-chart',
'pivot-grid-field-chooser',
'pivot-grid',
'polar-chart',
'popover',
'popup',
'progress-bar',
'radio-group',
'range-selector',
'range-slider',
'recurrence-editor',
'resizable',
'responsive-box',
'sankey',
'scheduler',
'scroll-view',
'select-box',
'slider',
'sortable',
'sparkline',
'speech-to-text',
'speed-dial-action',
'splitter',
'stepper',
'switch',
'tab-panel',
'tabs',
'tag-box',
'text-area',
'text-box',
'tile-view',
'toast',
'toolbar',
'tooltip',
'tree-list',
'tree-map',
'tree-view',
'validation-group',
'validation-summary',
'validator',
'vector-map',
];
window.exports = window.exports || {};
window.config = {
transpiler: false,
meta: {
'*.ts': {
loader: 'demo-ts-loader',
},
'typescript': {
'exports': 'ts',
},
'anti-forgery': {
loader: 'demo-ts-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'@angular/platform-browser-dynamic': {
'esModule': true,
},
'@angular/platform-browser': {
'esModule': true,
},
'@angular/core': {
'esModule': true,
},
'@angular/common': {
'esModule': true,
},
'@angular/common/http': {
'esModule': true,
},
'@angular/animations': {
'esModule': true,
},
'@angular/forms': {
'esModule': true,
},
'openai': {
'esModule': true,
},
'zod': {
'esModule': true,
},
'zod-to-json-schema': {
'esModule': true,
},
},
paths: {
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
'loaders:': '../../../../shared/loaders/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'demo-ts-loader': 'loaders:demo-ts-loader.js',
'demo-ts-shared': 'loaders:demo-ts-shared.js',
'typescript': 'npm:typescript@4.2.4/lib/typescript.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
/* @angular */
'@angular/compiler': 'bundles:@angular/compiler.umd.js',
'@angular/platform-browser-dynamic': 'bundles:@angular/platform-browser-dynamic.umd.js',
'@angular/core': 'bundles:@angular/core.umd.js',
'@angular/core/primitives/signals': 'bundles:@angular/core.primitives.signals.umd.js',
'@angular/core/primitives/di': 'bundles:@angular/core.primitives.di.umd.js',
'@angular/common': 'bundles:@angular/common.umd.js',
'@angular/common/http': 'bundles:@angular/common-http.umd.js',
'@angular/platform-browser': 'bundles:@angular/platform-browser.umd.js',
'@angular/platform-browser/animations': 'bundles:@angular/platform-browser.umd.js',
'@angular/forms': 'bundles:@angular/forms.umd.js',
/* devextreme */
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.10/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.29',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.69',
/* devextreme-angular umd maps */
'devextreme-angular': 'bundles:devextreme-angular/devextreme-angular.umd.js',
'devextreme-angular/common/ai-integration': 'bundles:devextreme-angular/devextreme-angular-common-ai-integration.umd.js',
'devextreme-angular/core': 'bundles:devextreme-angular/devextreme-angular-core.umd.js',
'devextreme-angular/common/charts': 'bundles:devextreme-angular/devextreme-angular-common-charts.umd.js',
'devextreme-angular/common/core/animation': 'bundles:devextreme-angular/devextreme-angular-common-core-animation.umd.js',
'devextreme-angular/common/core/environment': 'bundles:devextreme-angular/devextreme-angular-common-core-environment.umd.js',
'devextreme-angular/common/core/events': 'bundles:devextreme-angular/devextreme-angular-common-core-events.umd.js',
'devextreme-angular/common/core/localization': 'bundles:devextreme-angular/devextreme-angular-common-core-localization.umd.js',
'devextreme-angular/common/core': 'bundles:devextreme-angular/devextreme-angular-common-core.umd.js',
'devextreme-angular/common/data/custom-store': 'bundles:devextreme-angular/devextreme-angular-common-data-custom-store.umd.js',
'devextreme-angular/common/data': 'bundles:devextreme-angular/devextreme-angular-common-data.umd.js',
'devextreme-angular/common/export/excel': 'bundles:devextreme-angular/devextreme-angular-common-export-excel.umd.js',
'devextreme-angular/common/export/pdf': 'bundles:devextreme-angular/devextreme-angular-common-export-pdf.umd.js',
'devextreme-angular/common/export': 'bundles:devextreme-angular/devextreme-angular-common-export.umd.js',
'devextreme-angular/common/grids': 'bundles:devextreme-angular/devextreme-angular-common-grids.umd.js',
'devextreme-angular/common': 'bundles:devextreme-angular/devextreme-angular-common.umd.js',
'devextreme-angular/http': 'bundles:devextreme-angular/devextreme-angular-http.umd.js',
'devextreme-angular/core/tokens': 'bundles:devextreme-angular/devextreme-angular-core-tokens.umd.js',
...componentNames.reduce((acc, name) => {
acc[`devextreme-angular/ui/${name}`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}.umd.js`;
acc[`devextreme-angular/ui/${name}/nested`] = `bundles:devextreme-angular/devextreme-angular-ui-${name}-nested.umd.js`;
return acc;
}, {}),
'zod': 'externals:zod.bundle.js',
'zod-to-json-schema': 'externals:zod-to-json-schema.bundle.js',
'tslib': 'npm:tslib/tslib.js',
'rxjs': 'npm:rxjs@7.5.3/dist/bundles/rxjs.umd.js',
'rxjs/operators': 'npm:rxjs@7.5.3/dist/cjs/operators/index.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.14.4/dist/signals-core.min.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
'zone.js': 'npm:zone.js@0.16.2/bundles/zone.umd.js',
},
packages: {
'app': {
main: './app.component.ts',
defaultExtension: 'ts',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
'rxjs': {
defaultExtension: 'js',
},
'rxjs/operators': {
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
'npm:rxjs@7.5.3/package.json',
'npm:rxjs@7.5.3/operators/package.json',
'npm:devexpress-diagram@2.2.29/package.json',
'npm:devexpress-gantt@4.1.69/package.json',
],
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line no-console
// System.import('@angular/compiler').catch(console.error.bind(console));
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
let packagesInfo = {
"zod": {
"version": "3.24.4"
},
"zod-to-json-schema": {
"version": "3.24.6"
},
"@angular/core": {
"version": "22.1.0"
},
"core-js": {
"version": "2.6.12"
},
"typescript": {
"version": "6.0.3"
},
"zone.js": {
"version": "0.16.2"
}
};
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/26.1.4/css/dx.light.css" />
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/zone.js@0.16.2/bundles/zone.umd.js"></script>
<script src="https://cdn.jsdelivr.net/npm/reflect-metadata@0.1.13/Reflect.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script src="config.js"></script>
<script>
System.import("app").catch(console.error.bind(console));
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<demo-app>Loading...</demo-app>
</div>
</body>
</html>

<template>
<div>
<div class="left-side">
<div class="logo">
<img
:src="'../../../../images/logo-devav.png'"
alt="DEVAV"
>
<img
:src="'../../../../images/logo-tasks.png'"
alt="Tasks"
>
</div>
</div>
<div class="right-side">
<DxSelectBox
:items="statuses"
:value="statuses[0]"
:input-attr="{ 'aria-label': 'Status' }"
@value-changed="onValueChanged"
/>
</div>
<DxDataGrid
id="gridContainer"
ref="dataGridRef"
:data-source="tasks"
key-expr="Task_ID"
:column-auto-width="true"
:show-borders="true"
>
<DxPager :visible="true"/>
<DxColumn
:width="80"
data-field="Task_ID"
/>
<DxColumn
data-field="Task_Start_Date"
data-type="date"
caption="Start Date"
/>
<DxColumn
:allow-sorting="false"
data-field="Employee_Full_Name"
css-class="employee"
caption="Assigned To"
/>
<DxColumn
:width="350"
data-field="Task_Subject"
caption="Subject"
/>
<DxColumn
data-field="Task_Status"
caption="Status"
/>
</DxDataGrid>
</div>
</template>
<script setup lang="ts">
import { ref } from 'vue';
import {
DxColumn,
DxDataGrid,
DxPager,
} from 'devextreme-vue/data-grid';
import DxSelectBox, { type DxSelectBoxTypes } from 'devextreme-vue/select-box';
import { tasks, statuses } from './data.ts';
const dataGridRef = ref<DxDataGrid | null>(null);
const onValueChanged = ({ value }: DxSelectBoxTypes.ValueChangedEvent) => {
const dataGrid = dataGridRef.value!.instance!;
if (value === 'All') {
dataGrid.clearFilter();
} else {
dataGrid.filter(['Task_Status', '=', value]);
}
};
</script>
<style scoped>
.right-side {
position: absolute;
right: 1px;
top: 6px;
}
.logo {
line-height: 48px;
}
.logo img {
vertical-align: middle;
margin: 0 5px;
}
.logo img:first-child {
margin-right: 9px;
}
.dx-row.dx-data-row .employee {
color: #bf4e6a;
font-weight: bold;
}
#gridContainer {
margin: 20px 0;
height: 400px;
}
</style>
window.exports = window.exports || {};
window.config = {
transpiler: 'plugin-babel',
meta: {
'*.vue': {
loader: 'vue-loader',
},
'*.ts': {
loader: 'demo-ts-loader',
},
'*.svg': {
loader: 'svg-loader',
},
'devextreme/time_zone_utils.js': {
'esModule': true,
},
'devextreme/localization.js': {
'esModule': true,
},
'devextreme/viz/palette.js': {
'esModule': true,
},
'openai': {
'esModule': true,
},
},
paths: {
'project:': '../../../../',
'npm:': 'https://cdn.jsdelivr.net/npm/',
'bundles:': '../../../../bundles/',
'externals:': '../../../../bundles/externals/',
'anti-forgery:': '../../../../shared/anti-forgery/',
},
map: {
'anti-forgery': 'anti-forgery:fetch-override.js',
'vue': 'npm:vue@3.4.27/dist/vue.esm-browser.js',
'@vue/shared': 'npm:@vue/shared@3.4.27/dist/shared.cjs.prod.js',
'vue-loader': 'npm:dx-systemjs-vue-browser@1.1.2/index.js',
'demo-ts-loader': 'project:utils/demo-ts-loader.js',
'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js',
'svg-loader': 'project:utils/svg-loader.js',
'mitt': 'npm:mitt/dist/mitt.umd.js',
'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js',
'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js',
'es6-object-assign': 'npm:es6-object-assign',
'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs',
'devextreme-vue': 'npm:devextreme-vue@link:../../packages/devextreme-vue/npm/cjs',
'devextreme-quill': 'npm:devextreme-quill@1.7.8/dist/dx-quill.min.js',
'devexpress-diagram': 'npm:devexpress-diagram@2.2.25/dist/dx-diagram.js',
'devexpress-gantt': 'npm:devexpress-gantt@4.1.66/dist/dx-gantt.js',
'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js',
'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js',
'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js',
'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js',
'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js',
'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js',
'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js',
'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js',
'@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js',
'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js',
'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js',
// Prettier
'prettier/standalone': 'npm:prettier@2.8.8/standalone.js',
'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js',
},
packages: {
'devextreme-vue': {
main: 'index.js',
},
'devextreme-vue/common': {
main: 'index.js',
},
'devextreme': {
defaultExtension: 'js',
},
'devextreme/events/utils': {
main: 'index',
},
'devextreme/common/core/events/utils': {
main: 'index',
},
'devextreme/events': {
main: 'index',
},
'es6-object-assign': {
main: './index.js',
defaultExtension: 'js',
},
},
packageConfigPaths: [
'npm:@devextreme/*/package.json',
],
babelOptions: {
sourceMaps: false,
stage0: true,
},
};
window.process = {
env: {
NODE_ENV: 'production',
},
};
System.config(window.config);
// eslint-disable-next-line
const useTgzInCSB = ['openai'];
export interface Task {
Task_ID: number;
Task_Subject: string;
Task_Start_Date: string;
Task_Due_Date: string;
Task_Status: string;
Task_Priority: number;
Employee_Full_Name: string;
}
export const statuses: string[] = ['All', 'Not Started', 'In Progress', 'Need Assistance', 'Deferred', 'Completed'];
export const tasks: Task[] = [
{
Task_ID: 1,
Task_Subject: 'Prepare 2013 Financial',
Task_Start_Date: '2013-01-15T00:00:00',
Task_Due_Date: '2013-01-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 2,
Task_Subject: 'Prepare 2013 Marketing Plan',
Task_Start_Date: '2013-01-01T00:00:00',
Task_Due_Date: '2013-01-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 3,
Task_Subject: 'Update Personnel Files',
Task_Start_Date: '2013-02-03T00:00:00',
Task_Due_Date: '2013-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 4,
Task_Subject: 'Review Health Insurance Options Under the Affordable Care Act',
Task_Start_Date: '2013-02-12T00:00:00',
Task_Due_Date: '2013-04-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 5,
Task_Subject: 'Choose between PPO and HMO Health Plan',
Task_Start_Date: '2013-02-15T00:00:00',
Task_Due_Date: '2013-04-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 6,
Task_Subject: 'Google AdWords Strategy',
Task_Start_Date: '2013-02-16T00:00:00',
Task_Due_Date: '2013-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 7,
Task_Subject: 'New Brochures',
Task_Start_Date: '2013-02-17T00:00:00',
Task_Due_Date: '2013-02-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 8,
Task_Subject: '2013 Brochure Designs',
Task_Start_Date: '2013-02-19T00:00:00',
Task_Due_Date: '2013-02-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 9,
Task_Subject: 'Brochure Design Review',
Task_Start_Date: '2013-02-19T00:00:00',
Task_Due_Date: '2013-02-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 10,
Task_Subject: 'Website Re-Design Plan',
Task_Start_Date: '2013-02-19T00:00:00',
Task_Due_Date: '2013-02-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 11,
Task_Subject: 'Rollout of New Website and Marketing Brochures',
Task_Start_Date: '2013-02-20T00:00:00',
Task_Due_Date: '2013-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 12,
Task_Subject: 'Update Sales Strategy Documents',
Task_Start_Date: '2013-02-20T00:00:00',
Task_Due_Date: '2013-02-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 13,
Task_Subject: 'Create 2012 Sales Report',
Task_Start_Date: '2013-02-20T00:00:00',
Task_Due_Date: '2013-02-21T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 14,
Task_Subject: 'Direct vs Online Sales Comparison Report',
Task_Start_Date: '2013-02-20T00:00:00',
Task_Due_Date: '2013-02-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 15,
Task_Subject: 'Review 2012 Sales Report and Approve 2013 Plans',
Task_Start_Date: '2013-02-23T00:00:00',
Task_Due_Date: '2013-02-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 16,
Task_Subject: 'Deliver R&D Plans for 2013',
Task_Start_Date: '2013-03-01T00:00:00',
Task_Due_Date: '2013-03-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 17,
Task_Subject: 'Create 2013 R&D Plans',
Task_Start_Date: '2013-03-01T00:00:00',
Task_Due_Date: '2013-03-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 18,
Task_Subject: '2013 QA Strategy Report',
Task_Start_Date: '2013-03-02T00:00:00',
Task_Due_Date: '2013-03-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 19,
Task_Subject: '2013 Training Events',
Task_Start_Date: '2013-03-02T00:00:00',
Task_Due_Date: '2013-03-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Nat Maguiree',
},
{
Task_ID: 20,
Task_Subject: 'Approve Hiring of John Jeffers',
Task_Start_Date: '2013-03-02T00:00:00',
Task_Due_Date: '2013-03-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 21,
Task_Subject: 'Non-Compete Agreements',
Task_Start_Date: '2013-03-12T00:00:00',
Task_Due_Date: '2013-03-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 1,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 22,
Task_Subject: 'Update NDA Agreement',
Task_Start_Date: '2013-03-14T00:00:00',
Task_Due_Date: '2013-03-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 23,
Task_Subject: 'Update Employee Files with New NDA',
Task_Start_Date: '2013-03-16T00:00:00',
Task_Due_Date: '2013-03-26T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 24,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2013-03-20T00:00:00',
Task_Due_Date: '2013-03-25T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 25,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2013-03-20T00:00:00',
Task_Due_Date: '2013-03-25T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 26,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2013-03-20T00:00:00',
Task_Due_Date: '2013-03-25T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 3,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 27,
Task_Subject: 'Sign Updated NDA',
Task_Start_Date: '2013-03-20T00:00:00',
Task_Due_Date: '2013-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 28,
Task_Subject: 'Submit Questions Regarding New NDA',
Task_Start_Date: '2013-03-21T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 29,
Task_Subject: 'Submit Questions Regarding New NDA',
Task_Start_Date: '2013-03-21T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 30,
Task_Subject: 'Submit Questions Regarding New NDA',
Task_Start_Date: '2013-03-21T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 4,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 31,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2013-03-22T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 32,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2013-03-22T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 33,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2013-03-22T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 34,
Task_Subject: 'Submit Signed NDA',
Task_Start_Date: '2013-03-22T00:00:00',
Task_Due_Date: '2013-03-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 35,
Task_Subject: 'Update Revenue Projections',
Task_Start_Date: '2013-03-24T00:00:00',
Task_Due_Date: '2013-04-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 36,
Task_Subject: 'Review Revenue Projections',
Task_Start_Date: '2013-03-25T00:00:00',
Task_Due_Date: '2013-04-06T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 37,
Task_Subject: 'Comment on Revenue Projections',
Task_Start_Date: '2013-03-25T00:00:00',
Task_Due_Date: '2013-04-03T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 38,
Task_Subject: 'Comment on Revenue Projections',
Task_Start_Date: '2013-03-25T00:00:00',
Task_Due_Date: '2013-04-03T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 39,
Task_Subject: 'Comment on Revenue Projections',
Task_Start_Date: '2013-03-25T00:00:00',
Task_Due_Date: '2013-04-03T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 3,
Employee_Full_Name: 'Todd Hoffman',
},
{
Task_ID: 40,
Task_Subject: 'Provide New Health Insurance Docs',
Task_Start_Date: '2013-03-28T00:00:00',
Task_Due_Date: '2013-04-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 41,
Task_Subject: 'Review Changes to Health Insurance Coverage',
Task_Start_Date: '2013-04-07T00:00:00',
Task_Due_Date: '2013-04-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 42,
Task_Subject: 'Scan Health Insurance Forms',
Task_Start_Date: '2013-04-15T00:00:00',
Task_Due_Date: '2013-04-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 43,
Task_Subject: 'Sign Health Insurance Forms',
Task_Start_Date: '2013-04-16T00:00:00',
Task_Due_Date: '2013-04-19T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 44,
Task_Subject: 'Sign Health Insurance Forms',
Task_Start_Date: '2013-04-16T00:00:00',
Task_Due_Date: '2013-04-19T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 45,
Task_Subject: 'Sign Health Insurance Forms',
Task_Start_Date: '2013-04-16T00:00:00',
Task_Due_Date: '2013-04-19T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 4,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 46,
Task_Subject: 'Follow up with West Coast Stores',
Task_Start_Date: '2013-04-18T00:00:00',
Task_Due_Date: '2014-02-04T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 47,
Task_Subject: 'Follow up with East Coast Stores',
Task_Start_Date: '2013-04-18T00:00:00',
Task_Due_Date: '2014-01-04T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 48,
Task_Subject: 'Send Email to Customers about Recall',
Task_Start_Date: '2013-04-18T00:00:00',
Task_Due_Date: '2013-04-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 49,
Task_Subject: 'Submit Refund Report for 2013 Recall',
Task_Start_Date: '2013-04-25T00:00:00',
Task_Due_Date: '2013-05-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 50,
Task_Subject: 'Give Final Approval for Refunds',
Task_Start_Date: '2013-05-05T00:00:00',
Task_Due_Date: '2013-05-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 51,
Task_Subject: 'Prepare Product Recall Report',
Task_Start_Date: '2013-05-10T00:00:00',
Task_Due_Date: '2013-05-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 52,
Task_Subject: 'Review Product Recall Report by Engineering Team',
Task_Start_Date: '2013-05-17T00:00:00',
Task_Due_Date: '2013-05-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 53,
Task_Subject: 'Create Training Course for New TVs',
Task_Start_Date: '2013-05-29T00:00:00',
Task_Due_Date: '2013-06-29T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Nat Maguiree',
},
{
Task_ID: 54,
Task_Subject: 'Review Training Course for any Omissions',
Task_Start_Date: '2013-06-01T00:00:00',
Task_Due_Date: '2013-06-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 55,
Task_Subject: 'Review Overtime Report',
Task_Start_Date: '2013-06-10T00:00:00',
Task_Due_Date: '2013-06-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 56,
Task_Subject: 'Submit Overtime Request Forms',
Task_Start_Date: '2013-06-11T00:00:00',
Task_Due_Date: '2013-06-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Taylor Riley',
},
{
Task_ID: 57,
Task_Subject: 'Submit Overtime Request Forms',
Task_Start_Date: '2013-06-11T00:00:00',
Task_Due_Date: '2013-06-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 58,
Task_Subject: 'Submit Overtime Request Forms',
Task_Start_Date: '2013-06-11T00:00:00',
Task_Due_Date: '2013-06-12T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Wally Hobbs',
},
{
Task_ID: 59,
Task_Subject: 'Overtime Approval Guidelines',
Task_Start_Date: '2013-06-15T00:00:00',
Task_Due_Date: '2013-06-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 60,
Task_Subject: 'Refund Request Template',
Task_Start_Date: '2013-06-17T00:00:00',
Task_Due_Date: '2014-04-01T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 61,
Task_Subject: 'Recall Rebate Form',
Task_Start_Date: '2013-06-17T00:00:00',
Task_Due_Date: '2014-04-01T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 62,
Task_Subject: 'Create Report on Customer Feedback',
Task_Start_Date: '2013-06-20T00:00:00',
Task_Due_Date: '2013-06-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 63,
Task_Subject: 'Review Customer Feedback Report',
Task_Start_Date: '2013-06-30T00:00:00',
Task_Due_Date: '2013-07-03T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 64,
Task_Subject: 'Customer Feedback Report Analysis',
Task_Start_Date: '2013-07-05T00:00:00',
Task_Due_Date: '2014-04-09T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 65,
Task_Subject: 'Prepare Shipping Cost Analysis Report',
Task_Start_Date: '2013-07-10T00:00:00',
Task_Due_Date: '2013-07-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 66,
Task_Subject: 'Provide Feedback on Shippers',
Task_Start_Date: '2013-07-11T00:00:00',
Task_Due_Date: '2013-07-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 67,
Task_Subject: 'Provide Feedback on Shippers',
Task_Start_Date: '2013-07-11T00:00:00',
Task_Due_Date: '2013-07-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 68,
Task_Subject: 'Provide Feedback on Shippers',
Task_Start_Date: '2013-07-11T00:00:00',
Task_Due_Date: '2013-07-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 69,
Task_Subject: 'Select Preferred Shipper',
Task_Start_Date: '2013-07-16T00:00:00',
Task_Due_Date: '2013-07-20T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 70,
Task_Subject: 'Complete Shipper Selection Form',
Task_Start_Date: '2013-07-21T00:00:00',
Task_Due_Date: '2014-04-11T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 71,
Task_Subject: 'Upgrade Server Hardware',
Task_Start_Date: '2013-07-22T00:00:00',
Task_Due_Date: '2013-07-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 72,
Task_Subject: 'Upgrade Personal Computers',
Task_Start_Date: '2013-07-24T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 73,
Task_Subject: 'Approve Personal Computer Upgrade Plan',
Task_Start_Date: '2013-07-24T00:00:00',
Task_Due_Date: '2013-07-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 74,
Task_Subject: 'Decide on Mobile Devices to Use in the Field',
Task_Start_Date: '2013-07-30T00:00:00',
Task_Due_Date: '2013-08-02T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 75,
Task_Subject: 'Upgrade Apps to Windows RT or stay with WinForms',
Task_Start_Date: '2013-08-01T00:00:00',
Task_Due_Date: '2013-08-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 76,
Task_Subject: 'Estimate Time Required to Touch-Enable Apps',
Task_Start_Date: '2013-08-05T00:00:00',
Task_Due_Date: '2013-08-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 77,
Task_Subject: 'Report on Tranistion to Touch-Based Apps',
Task_Start_Date: '2013-08-10T00:00:00',
Task_Due_Date: '2013-08-11T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Wally Hobbs',
},
{
Task_ID: 78,
Task_Subject: 'Try New Touch-Enabled WinForms Apps',
Task_Start_Date: '2013-08-11T00:00:00',
Task_Due_Date: '2013-08-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 79,
Task_Subject: 'Rollout New Touch-Enabled WinForms Apps',
Task_Start_Date: '2013-08-17T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 80,
Task_Subject: 'Site Up-Time Report',
Task_Start_Date: '2013-08-20T00:00:00',
Task_Due_Date: '2013-08-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 81,
Task_Subject: 'Review Site Up-Time Report',
Task_Start_Date: '2013-08-24T00:00:00',
Task_Due_Date: '2013-08-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 82,
Task_Subject: 'Review Online Sales Report',
Task_Start_Date: '2013-08-30T00:00:00',
Task_Due_Date: '2013-09-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 83,
Task_Subject: 'Determine New Online Marketing Strategy',
Task_Start_Date: '2013-09-03T00:00:00',
Task_Due_Date: '2013-09-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 84,
Task_Subject: 'New Online Marketing Strategy',
Task_Start_Date: '2013-09-05T00:00:00',
Task_Due_Date: '2013-09-11T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 85,
Task_Subject: 'Approve New Online Marketing Strategy',
Task_Start_Date: '2013-09-15T00:00:00',
Task_Due_Date: '2013-09-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 86,
Task_Subject: 'Submit New Website Design',
Task_Start_Date: '2013-09-17T00:00:00',
Task_Due_Date: '2013-09-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 87,
Task_Subject: 'Create Icons for Website',
Task_Start_Date: '2013-09-17T00:00:00',
Task_Due_Date: '2013-09-21T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 88,
Task_Subject: 'Review PSDs for New Website',
Task_Start_Date: '2013-09-23T00:00:00',
Task_Due_Date: '2013-10-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 89,
Task_Subject: 'Create New Shopping Cart',
Task_Start_Date: '2013-09-24T00:00:00',
Task_Due_Date: '2013-10-01T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 90,
Task_Subject: 'Create New Product Pages',
Task_Start_Date: '2013-09-24T00:00:00',
Task_Due_Date: '2013-10-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 91,
Task_Subject: 'Review New Product Pages',
Task_Start_Date: '2013-10-04T00:00:00',
Task_Due_Date: '2013-10-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 92,
Task_Subject: 'Approve Website Launch',
Task_Start_Date: '2013-10-10T00:00:00',
Task_Due_Date: '2013-10-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Robert Reagan',
},
{
Task_ID: 93,
Task_Subject: 'Launch New Website',
Task_Start_Date: '2013-10-15T00:00:00',
Task_Due_Date: '2013-10-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 94,
Task_Subject: 'Update Customer Shipping Profiles',
Task_Start_Date: '2013-10-20T00:00:00',
Task_Due_Date: '2013-10-22T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 95,
Task_Subject: 'Create New Shipping Return Labels',
Task_Start_Date: '2013-10-21T00:00:00',
Task_Due_Date: '2013-10-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 96,
Task_Subject: 'Get Design for Shipping Return Labels',
Task_Start_Date: '2013-10-21T00:00:00',
Task_Due_Date: '2013-10-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Wally Hobbs',
},
{
Task_ID: 97,
Task_Subject: 'PSD needed for Shipping Return Labels',
Task_Start_Date: '2013-10-22T00:00:00',
Task_Due_Date: '2013-10-27T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 98,
Task_Subject: 'Request Bandwidth Increase from ISP',
Task_Start_Date: '2013-11-01T00:00:00',
Task_Due_Date: '2013-11-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 99,
Task_Subject: 'Submit D&B Number to ISP for Credit Approval',
Task_Start_Date: '2013-11-04T00:00:00',
Task_Due_Date: '2013-11-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 100,
Task_Subject: 'Contact ISP and Discuss Payment Options',
Task_Start_Date: '2013-11-05T00:00:00',
Task_Due_Date: '2013-11-06T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 101,
Task_Subject: 'Prepare Year-End Support Summary Report',
Task_Start_Date: '2013-11-10T00:00:00',
Task_Due_Date: '2013-11-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 102,
Task_Subject: 'Analyze Support Traffic for 2013',
Task_Start_Date: '2013-11-11T00:00:00',
Task_Due_Date: '2013-11-14T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 103,
Task_Subject: 'Review New Training Material',
Task_Start_Date: '2013-11-14T00:00:00',
Task_Due_Date: '2013-11-18T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 104,
Task_Subject: 'Distribute Training Material to Support Staff',
Task_Start_Date: '2013-11-18T00:00:00',
Task_Due_Date: '2013-11-30T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Nat Maguiree',
},
{
Task_ID: 105,
Task_Subject: 'Training Material Distribution Schedule',
Task_Start_Date: '2013-11-30T00:00:00',
Task_Due_Date: '2013-12-02T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 106,
Task_Subject: 'Provide New Artwork to Support Team',
Task_Start_Date: '2013-12-03T00:00:00',
Task_Due_Date: '2013-12-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 107,
Task_Subject: 'Publish New Art on the Server',
Task_Start_Date: '2013-12-03T00:00:00',
Task_Due_Date: '2013-12-04T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Violet Bailey',
},
{
Task_ID: 108,
Task_Subject: 'Replace Old Artwork with New Artwork',
Task_Start_Date: '2013-12-07T00:00:00',
Task_Due_Date: '2013-12-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 109,
Task_Subject: 'Replace Old Artwork with New Artwork',
Task_Start_Date: '2013-12-07T00:00:00',
Task_Due_Date: '2013-12-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Olivia Peyton',
},
{
Task_ID: 110,
Task_Subject: 'Replace Old Artwork with New Artwork',
Task_Start_Date: '2013-12-07T00:00:00',
Task_Due_Date: '2013-12-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Lucy Ball',
},
{
Task_ID: 111,
Task_Subject: 'Ship New Brochures to Field',
Task_Start_Date: '2013-12-19T00:00:00',
Task_Due_Date: '2013-12-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 112,
Task_Subject: 'Ship Brochures to Todd Hoffman',
Task_Start_Date: '2013-12-23T00:00:00',
Task_Due_Date: '2013-12-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 113,
Task_Subject: 'Update Server with Service Packs',
Task_Start_Date: '2013-12-24T00:00:00',
Task_Due_Date: '2013-12-24T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 114,
Task_Subject: 'Install New Database',
Task_Start_Date: '2013-12-27T00:00:00',
Task_Due_Date: '2013-12-28T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 115,
Task_Subject: 'Approve Overtime for HR',
Task_Start_Date: '2013-12-29T00:00:00',
Task_Due_Date: '2013-12-29T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 116,
Task_Subject: 'Review New HDMI Specification',
Task_Start_Date: '2014-01-02T00:00:00',
Task_Due_Date: '2014-01-31T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 117,
Task_Subject: 'Approval on Converting to New HDMI Specification',
Task_Start_Date: '2014-01-11T00:00:00',
Task_Due_Date: '2014-01-31T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 118,
Task_Subject: 'Create New Spike for Automation Server',
Task_Start_Date: '2014-01-15T00:00:00',
Task_Due_Date: '2014-01-27T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 119,
Task_Subject: 'Report on Retail Sales Strategy for 2014',
Task_Start_Date: '2014-01-20T00:00:00',
Task_Due_Date: '2014-01-31T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 120,
Task_Subject: 'Code Review - New Automation Server',
Task_Start_Date: '2014-01-27T00:00:00',
Task_Due_Date: '2014-02-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 121,
Task_Subject: 'Feedback on New Training Course',
Task_Start_Date: '2014-01-28T00:00:00',
Task_Due_Date: '2014-02-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 122,
Task_Subject: 'Send Monthly Invoices from Shippers',
Task_Start_Date: '2014-02-01T00:00:00',
Task_Due_Date: '2014-02-07T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 123,
Task_Subject: 'Schedule Meeting with Sales Team',
Task_Start_Date: '2014-02-07T00:00:00',
Task_Due_Date: '2014-02-09T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Lucy Ball',
},
{
Task_ID: 124,
Task_Subject: 'Confirm Availability for Sales Meeting',
Task_Start_Date: '2014-02-09T00:00:00',
Task_Due_Date: '2014-02-09T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 125,
Task_Subject: 'Reschedule Sales Team Meeting',
Task_Start_Date: '2014-02-10T00:00:00',
Task_Due_Date: '2014-02-10T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Gabe Jones',
},
{
Task_ID: 126,
Task_Subject: 'Send 2 Remotes for Giveaways',
Task_Start_Date: '2014-02-15T00:00:00',
Task_Due_Date: '2014-02-17T00:00:00',
Task_Status: 'Completed',
Task_Priority: 3,
Employee_Full_Name: 'Lucy Ball',
},
{
Task_ID: 127,
Task_Subject: 'Ship 2 Remotes Priority to Clark Morgan',
Task_Start_Date: '2014-02-16T00:00:00',
Task_Due_Date: '2014-02-16T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 128,
Task_Subject: 'Discuss Product Giveaways with Management',
Task_Start_Date: '2014-02-19T00:00:00',
Task_Due_Date: '2014-02-28T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Olivia Peyton',
},
{
Task_ID: 129,
Task_Subject: 'Follow Up Email with Recent Online Purchasers',
Task_Start_Date: '2014-02-26T00:00:00',
Task_Due_Date: '2014-03-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 130,
Task_Subject: 'Replace Desktops on the 3rd Floor',
Task_Start_Date: '2014-02-27T00:00:00',
Task_Due_Date: '2014-03-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Taylor Riley',
},
{
Task_ID: 131,
Task_Subject: 'Update Database with New Leads',
Task_Start_Date: '2014-03-01T00:00:00',
Task_Due_Date: '2014-03-10T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Todd Hoffman',
},
{
Task_ID: 132,
Task_Subject: 'Mail New Leads for Follow Up',
Task_Start_Date: '2014-03-10T00:00:00',
Task_Due_Date: '2014-03-15T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Todd Hoffman',
},
{
Task_ID: 133,
Task_Subject: 'Send Territory Sales Breakdown',
Task_Start_Date: '2014-03-13T00:00:00',
Task_Due_Date: '2014-03-16T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Sammy Hill',
},
{
Task_ID: 134,
Task_Subject: 'Territory Sales Breakdown Report',
Task_Start_Date: '2014-03-17T00:00:00',
Task_Due_Date: '2014-03-17T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 3,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 135,
Task_Subject: 'Return Merchandise Report',
Task_Start_Date: '2014-03-17T00:00:00',
Task_Due_Date: '2014-03-18T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 136,
Task_Subject: 'Report on the State of Engineering Dept',
Task_Start_Date: '2014-03-18T00:00:00',
Task_Due_Date: '2014-03-19T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 137,
Task_Subject: 'Staff Productivity Report',
Task_Start_Date: '2014-03-20T00:00:00',
Task_Due_Date: '2014-03-21T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 138,
Task_Subject: 'Review HR Budget Company Wide',
Task_Start_Date: '2014-03-20T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 139,
Task_Subject: 'Sales Dept Budget Request Report',
Task_Start_Date: '2014-03-23T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Ed Holmes',
},
{
Task_ID: 140,
Task_Subject: 'Support Dept Budget Report',
Task_Start_Date: '2014-03-23T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 141,
Task_Subject: 'IT Dept Budget Request Report',
Task_Start_Date: '2014-03-23T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 142,
Task_Subject: 'Engineering Dept Budget Request Report',
Task_Start_Date: '2014-03-23T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 4,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 143,
Task_Subject: '1Q Travel Spend Report',
Task_Start_Date: '2014-03-24T00:00:00',
Task_Due_Date: '2014-03-25T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Marcus Orbison',
},
{
Task_ID: 144,
Task_Subject: 'Approve Benefits Upgrade Package',
Task_Start_Date: '2014-03-26T00:00:00',
Task_Due_Date: '2014-03-27T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 145,
Task_Subject: 'Final Budget Review',
Task_Start_Date: '2014-03-26T00:00:00',
Task_Due_Date: '2014-03-27T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Greta Sims',
},
{
Task_ID: 146,
Task_Subject: 'State of Operations Report',
Task_Start_Date: '2014-03-28T00:00:00',
Task_Due_Date: '2014-03-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 147,
Task_Subject: 'Online Sales Report',
Task_Start_Date: '2014-03-29T00:00:00',
Task_Due_Date: '2014-03-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Hannah Brookly',
},
{
Task_ID: 148,
Task_Subject: 'Reprint All Shipping Labels',
Task_Start_Date: '2014-04-01T00:00:00',
Task_Due_Date: '2014-04-10T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 149,
Task_Subject: 'Shipping Label Artwork',
Task_Start_Date: '2014-04-02T00:00:00',
Task_Due_Date: '2014-04-09T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Morgan Kennedy',
},
{
Task_ID: 150,
Task_Subject: 'Specs for New Shipping Label',
Task_Start_Date: '2014-04-04T00:00:00',
Task_Due_Date: '2014-04-05T00:00:00',
Task_Status: 'Completed',
Task_Priority: 2,
Employee_Full_Name: 'Davey Jones',
},
{
Task_ID: 151,
Task_Subject: 'Move Packaging Materials to New Warehouse',
Task_Start_Date: '2014-04-05T00:00:00',
Task_Due_Date: '2014-04-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Mary Stern',
},
{
Task_ID: 152,
Task_Subject: 'Move Inventory to New Warehouse',
Task_Start_Date: '2014-04-05T00:00:00',
Task_Due_Date: '2014-04-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Robin Cosworth',
},
{
Task_ID: 153,
Task_Subject: 'Take Forklift to Service Center',
Task_Start_Date: '2014-04-07T00:00:00',
Task_Due_Date: '2014-04-18T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Victor Norris',
},
{
Task_ID: 154,
Task_Subject: 'Approve Rental of Forklift',
Task_Start_Date: '2014-04-08T00:00:00',
Task_Due_Date: '2014-04-09T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 4,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 155,
Task_Subject: 'Give Final Approval to Rent Forklift',
Task_Start_Date: '2014-04-08T00:00:00',
Task_Due_Date: '2014-04-08T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 2,
Employee_Full_Name: 'Sandra Johnson',
},
{
Task_ID: 156,
Task_Subject: 'Approve Overtime Pay',
Task_Start_Date: '2014-04-12T00:00:00',
Task_Due_Date: '2014-04-13T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 157,
Task_Subject: 'Approve Vacation Request',
Task_Start_Date: '2014-04-15T00:00:00',
Task_Due_Date: '2014-04-20T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Bart Arnaz',
},
{
Task_ID: 158,
Task_Subject: 'Approve Salary Increase Request',
Task_Start_Date: '2014-04-16T00:00:00',
Task_Due_Date: '2014-04-24T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Arthur Miller',
},
{
Task_ID: 159,
Task_Subject: 'Review Complaint Reports',
Task_Start_Date: '2014-04-17T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 160,
Task_Subject: 'Review Website Complaint Reports',
Task_Start_Date: '2014-04-18T00:00:00',
Task_Due_Date: '2014-04-24T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brett Wade',
},
{
Task_ID: 161,
Task_Subject: 'Test New Automation App',
Task_Start_Date: '2014-04-20T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 162,
Task_Subject: 'Fix Synchronization Issues',
Task_Start_Date: '2014-04-21T00:00:00',
Task_Due_Date: '2014-04-21T00:00:00',
Task_Status: 'Completed',
Task_Priority: 4,
Employee_Full_Name: 'Terry Bradley',
},
{
Task_ID: 163,
Task_Subject: 'Free Up Space for New Application Set',
Task_Start_Date: '2014-04-19T00:00:00',
Task_Due_Date: '2014-04-19T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 164,
Task_Subject: 'Install New Router in Dev Room',
Task_Start_Date: '2014-04-23T00:00:00',
Task_Due_Date: '2014-04-30T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Amelia Harper',
},
{
Task_ID: 165,
Task_Subject: 'Update Your Profile on Website',
Task_Start_Date: '2014-04-28T00:00:00',
Task_Due_Date: '2014-05-02T00:00:00',
Task_Status: 'Need Assistance',
Task_Priority: 2,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 166,
Task_Subject: 'Schedule Conf Call with SuperMart',
Task_Start_Date: '2014-04-29T00:00:00',
Task_Due_Date: '2014-05-03T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Antony Remmen',
},
{
Task_ID: 167,
Task_Subject: 'Support Team Evaluation Report',
Task_Start_Date: '2014-05-01T00:00:00',
Task_Due_Date: '2014-05-07T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Barb Banks',
},
{
Task_ID: 168,
Task_Subject: 'Create New Installer for Company Wide App Deployment',
Task_Start_Date: '2014-05-02T00:00:00',
Task_Due_Date: '2014-05-08T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 169,
Task_Subject: 'Pickup Packages from the Warehouse',
Task_Start_Date: '2014-04-30T00:00:00',
Task_Due_Date: '2014-05-01T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Brad Jameson',
},
{
Task_ID: 170,
Task_Subject: 'Submit Travel Expenses for Recent Trip',
Task_Start_Date: '2014-04-30T00:00:00',
Task_Due_Date: '2014-05-05T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Gabe Jones',
},
{
Task_ID: 171,
Task_Subject: 'Make Travel Arrangements for Sales Trip to San Francisco',
Task_Start_Date: '2014-04-29T00:00:00',
Task_Due_Date: '2014-05-07T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Gabe Jones',
},
{
Task_ID: 172,
Task_Subject: 'Book Flights to San Fran for Sales Trip',
Task_Start_Date: '2014-04-30T00:00:00',
Task_Due_Date: '2014-05-05T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Marcus Orbison',
},
{
Task_ID: 173,
Task_Subject: 'Collect Customer Reviews for Website',
Task_Start_Date: '2014-05-01T00:00:00',
Task_Due_Date: '2014-05-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 174,
Task_Subject: 'Submit New W4 for Updated Exemptions',
Task_Start_Date: '2014-05-02T00:00:00',
Task_Due_Date: '2014-05-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'James Anderson',
},
{
Task_ID: 175,
Task_Subject: 'Get New Frequent Flier Account',
Task_Start_Date: '2014-05-03T00:00:00',
Task_Due_Date: '2014-05-18T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Jim Packard',
},
{
Task_ID: 176,
Task_Subject: 'Review New Customer Follow Up Plan',
Task_Start_Date: '2014-05-05T00:00:00',
Task_Due_Date: '2014-05-11T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'John Heart',
},
{
Task_ID: 177,
Task_Subject: 'Submit Customer Follow Up Plan Feedback',
Task_Start_Date: '2014-05-06T00:00:00',
Task_Due_Date: '2014-05-10T00:00:00',
Task_Status: 'Deferred',
Task_Priority: 2,
Employee_Full_Name: 'Samantha Bright',
},
{
Task_ID: 178,
Task_Subject: 'Review Issue Report and Provide Workarounds',
Task_Start_Date: '2014-05-04T00:00:00',
Task_Due_Date: '2014-06-01T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Karen Goodson',
},
{
Task_ID: 179,
Task_Subject: 'Contact Customers for Video Interviews',
Task_Start_Date: '2014-05-07T00:00:00',
Task_Due_Date: '2014-05-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 180,
Task_Subject: 'Resubmit Request for Expense Reimbursement',
Task_Start_Date: '2014-05-09T00:00:00',
Task_Due_Date: '2014-05-15T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Kelly Rodriguez',
},
{
Task_ID: 181,
Task_Subject: 'Approve Vacation Request Form',
Task_Start_Date: '2014-05-10T00:00:00',
Task_Due_Date: '2014-05-15T00:00:00',
Task_Status: 'Not Started',
Task_Priority: 2,
Employee_Full_Name: 'Kevin Carter',
},
{
Task_ID: 182,
Task_Subject: 'Email Test Report on New Products',
Task_Start_Date: '2014-05-12T00:00:00',
Task_Due_Date: '2014-05-31T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 4,
Employee_Full_Name: 'Leah Simpson',
},
{
Task_ID: 183,
Task_Subject: 'Send Receipts for all Flights Last Month',
Task_Start_Date: '2014-05-10T00:00:00',
Task_Due_Date: '2014-05-15T00:00:00',
Task_Status: 'In Progress',
Task_Priority: 2,
Employee_Full_Name: 'Marcus Orbison',
},
];
import { createApp } from 'vue';
import App from './App.vue';
createApp(App).mount('#app');
<!DOCTYPE html>
<html lang="en">
<head>
<title>DevExtreme Demo</title>
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" />
<link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.5/css/dx.light.css" />
<script type="module">
import * as vueCompilerSFC from "https://cdn.jsdelivr.net/npm/@vue/compiler-sfc@3.4.27/dist/compiler-sfc.esm-browser.js";
window.vueCompilerSFC = vueCompilerSFC;
</script>
<script src="https://cdn.jsdelivr.net/npm/typescript@5.9.3/lib/typescript.js"></script>
<script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script>
<script type="text/javascript" src="config.js"></script>
<script type="text/javascript">
System.import("./index.ts");
</script>
</head>
<body class="dx-viewport">
<div class="demo-container">
<div id="app"> </div>
</div>
</body>
</html>

DevExtreme v25.2 is now available.

Explore our newest features/capabilities and share your thoughts with us.

Your search did not match any results.

React Data Grid - Filtering API

The DataGrid includes the following API you can use to filter data.

Backend API
import React, { useCallback, useRef, useState } from 'react'; import DataGrid, { Column, Pager } from 'devextreme-react/data-grid'; import type { DataGridRef } from 'devextreme-react/data-grid'; import SelectBox from 'devextreme-react/select-box'; import type { SelectBoxTypes } from 'devextreme-react/select-box'; import 'devextreme-react/common/data'; import { tasks, statuses } from './data.ts'; const statusLabel = { 'aria-label': 'Status' }; const App = () => { const [filterStatus, setFilterStatus] = useState(statuses[0]); const dataGridRef = useRef<DataGridRef>(null); const onValueChanged = useCallback((e: SelectBoxTypes.ValueChangedEvent) => { const dataGrid = dataGridRef.current?.instance(); if (e.value === 'All') { dataGrid?.clearFilter(); } else { dataGrid?.filter(['Task_Status', '=', e.value]); } setFilterStatus(e.value); }, []); return ( <div> <div className='left-side'> <div className='logo'> <img src='../../../../images/logo-devav.png' alt='DEVAV' /> &nbsp; <img src='../../../../images/logo-tasks.png' alt='Tasks' /> </div> </div> <div className='right-side'> <SelectBox items={statuses} inputAttr={statusLabel} value={filterStatus} onValueChanged={onValueChanged} /> </div> <DataGrid id='gridContainer' ref={dataGridRef} dataSource={tasks} keyExpr='Task_ID' columnAutoWidth={true} showBorders={true} > <Pager visible={true} /> <Column dataField='Task_ID' width={80} /> <Column dataField='Task_Start_Date' caption='Start Date' dataType='date' /> <Column allowSorting={false} dataField='Employee_Full_Name' cssClass='employee' caption='Assigned To' /> <Column dataField='Task_Subject' caption='Subject' width={350} /> <Column dataField='Task_Status' caption='Status' /> </DataGrid> </div> ); }; export default App;
import React, { useCallback, useRef, useState } from 'react'; import DataGrid, { Column, Pager } from 'devextreme-react/data-grid'; import SelectBox from 'devextreme-react/select-box'; import 'devextreme-react/common/data'; import { tasks, statuses } from './data.js'; const statusLabel = { 'aria-label': 'Status' }; const App = () => { const [filterStatus, setFilterStatus] = useState(statuses[0]); const dataGridRef = useRef(null); const onValueChanged = useCallback((e) => { const dataGrid = dataGridRef.current?.instance(); if (e.value === 'All') { dataGrid?.clearFilter(); } else { dataGrid?.filter(['Task_Status', '=', e.value]); } setFilterStatus(e.value); }, []); return ( <div> <div className="left-side"> <div className="logo"> <img src="../../../../images/logo-devav.png" alt="DEVAV" /> &nbsp; <img src="../../../../images/logo-tasks.png" alt="Tasks" /> </div> </div> <div className="right-side"> <SelectBox items={statuses} inputAttr={statusLabel} value={filterStatus} onValueChanged={onValueChanged} /> </div> <DataGrid id="gridContainer" ref={dataGridRef} dataSource={tasks} keyExpr="Task_ID" columnAutoWidth={true} showBorders={true} > <Pager visible={true} /> <Column dataField="Task_ID" width={80} /> <Column dataField="Task_Start_Date" caption="Start Date" dataType="date" /> <Column allowSorting={false} dataField="Employee_Full_Name" cssClass="employee" caption="Assigned To" /> <Column dataField="Task_Subject" caption="Subject" width={350} /> <Column dataField="Task_Status" caption="Status" /> </DataGrid> </div> ); }; export default App;
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.tsx'; ReactDOM.render( <App />, document.getElementById('app'), );
export interface Task { Task_ID: number; Task_Subject: string; Task_Start_Date: string; Task_Due_Date: string; Task_Status: string; Task_Priority: number; Employee_Full_Name: string; } export const statuses: string[] = ['All', 'Not Started', 'In Progress', 'Need Assistance', 'Deferred', 'Completed']; export const tasks: Task[] = [ { Task_ID: 1, Task_Subject: 'Prepare 2013 Financial', Task_Start_Date: '2013-01-15T00:00:00', Task_Due_Date: '2013-01-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 2, Task_Subject: 'Prepare 2013 Marketing Plan', Task_Start_Date: '2013-01-01T00:00:00', Task_Due_Date: '2013-01-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 3, Task_Subject: 'Update Personnel Files', Task_Start_Date: '2013-02-03T00:00:00', Task_Due_Date: '2013-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 4, Task_Subject: 'Review Health Insurance Options Under the Affordable Care Act', Task_Start_Date: '2013-02-12T00:00:00', Task_Due_Date: '2013-04-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 5, Task_Subject: 'Choose between PPO and HMO Health Plan', Task_Start_Date: '2013-02-15T00:00:00', Task_Due_Date: '2013-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 6, Task_Subject: 'Google AdWords Strategy', Task_Start_Date: '2013-02-16T00:00:00', Task_Due_Date: '2013-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 7, Task_Subject: 'New Brochures', Task_Start_Date: '2013-02-17T00:00:00', Task_Due_Date: '2013-02-24T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'John Heart', }, { Task_ID: 8, Task_Subject: '2013 Brochure Designs', Task_Start_Date: '2013-02-19T00:00:00', Task_Due_Date: '2013-02-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Morgan Kennedy', }, { Task_ID: 9, Task_Subject: 'Brochure Design Review', Task_Start_Date: '2013-02-19T00:00:00', Task_Due_Date: '2013-02-22T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 10, Task_Subject: 'Website Re-Design Plan', Task_Start_Date: '2013-02-19T00:00:00', Task_Due_Date: '2013-02-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 11, Task_Subject: 'Rollout of New Website and Marketing Brochures', Task_Start_Date: '2013-02-20T00:00:00', Task_Due_Date: '2013-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 12, Task_Subject: 'Update Sales Strategy Documents', Task_Start_Date: '2013-02-20T00:00:00', Task_Due_Date: '2013-02-22T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 13, Task_Subject: 'Create 2012 Sales Report', Task_Start_Date: '2013-02-20T00:00:00', Task_Due_Date: '2013-02-21T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 14, Task_Subject: 'Direct vs Online Sales Comparison Report', Task_Start_Date: '2013-02-20T00:00:00', Task_Due_Date: '2013-02-22T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 15, Task_Subject: 'Review 2012 Sales Report and Approve 2013 Plans', Task_Start_Date: '2013-02-23T00:00:00', Task_Due_Date: '2013-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 16, Task_Subject: 'Deliver R&D Plans for 2013', Task_Start_Date: '2013-03-01T00:00:00', Task_Due_Date: '2013-03-10T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 17, Task_Subject: 'Create 2013 R&D Plans', Task_Start_Date: '2013-03-01T00:00:00', Task_Due_Date: '2013-03-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 18, Task_Subject: '2013 QA Strategy Report', Task_Start_Date: '2013-03-02T00:00:00', Task_Due_Date: '2013-03-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 19, Task_Subject: '2013 Training Events', Task_Start_Date: '2013-03-02T00:00:00', Task_Due_Date: '2013-03-04T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Nat Maguiree', }, { Task_ID: 20, Task_Subject: 'Approve Hiring of John Jeffers', Task_Start_Date: '2013-03-02T00:00:00', Task_Due_Date: '2013-03-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 21, Task_Subject: 'Non-Compete Agreements', Task_Start_Date: '2013-03-12T00:00:00', Task_Due_Date: '2013-03-14T00:00:00', Task_Status: 'Completed', Task_Priority: 1, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 22, Task_Subject: 'Update NDA Agreement', Task_Start_Date: '2013-03-14T00:00:00', Task_Due_Date: '2013-03-16T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 23, Task_Subject: 'Update Employee Files with New NDA', Task_Start_Date: '2013-03-16T00:00:00', Task_Due_Date: '2013-03-26T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 2, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 24, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2013-03-20T00:00:00', Task_Due_Date: '2013-03-25T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 25, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2013-03-20T00:00:00', Task_Due_Date: '2013-03-25T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 26, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2013-03-20T00:00:00', Task_Due_Date: '2013-03-25T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 3, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 27, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2013-03-20T00:00:00', Task_Due_Date: '2013-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 28, Task_Subject: 'Submit Questions Regarding New NDA', Task_Start_Date: '2013-03-21T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 29, Task_Subject: 'Submit Questions Regarding New NDA', Task_Start_Date: '2013-03-21T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'James Anderson', }, { Task_ID: 30, Task_Subject: 'Submit Questions Regarding New NDA', Task_Start_Date: '2013-03-21T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 4, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 31, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2013-03-22T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 32, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2013-03-22T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 33, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2013-03-22T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 34, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2013-03-22T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Robin Cosworth', }, { Task_ID: 35, Task_Subject: 'Update Revenue Projections', Task_Start_Date: '2013-03-24T00:00:00', Task_Due_Date: '2013-04-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 36, Task_Subject: 'Review Revenue Projections', Task_Start_Date: '2013-03-25T00:00:00', Task_Due_Date: '2013-04-06T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 37, Task_Subject: 'Comment on Revenue Projections', Task_Start_Date: '2013-03-25T00:00:00', Task_Due_Date: '2013-04-03T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 38, Task_Subject: 'Comment on Revenue Projections', Task_Start_Date: '2013-03-25T00:00:00', Task_Due_Date: '2013-04-03T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 39, Task_Subject: 'Comment on Revenue Projections', Task_Start_Date: '2013-03-25T00:00:00', Task_Due_Date: '2013-04-03T00:00:00', Task_Status: 'Deferred', Task_Priority: 3, Employee_Full_Name: 'Todd Hoffman', }, { Task_ID: 40, Task_Subject: 'Provide New Health Insurance Docs', Task_Start_Date: '2013-03-28T00:00:00', Task_Due_Date: '2013-04-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 41, Task_Subject: 'Review Changes to Health Insurance Coverage', Task_Start_Date: '2013-04-07T00:00:00', Task_Due_Date: '2013-04-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 42, Task_Subject: 'Scan Health Insurance Forms', Task_Start_Date: '2013-04-15T00:00:00', Task_Due_Date: '2013-04-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 43, Task_Subject: 'Sign Health Insurance Forms', Task_Start_Date: '2013-04-16T00:00:00', Task_Due_Date: '2013-04-19T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 44, Task_Subject: 'Sign Health Insurance Forms', Task_Start_Date: '2013-04-16T00:00:00', Task_Due_Date: '2013-04-19T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 45, Task_Subject: 'Sign Health Insurance Forms', Task_Start_Date: '2013-04-16T00:00:00', Task_Due_Date: '2013-04-19T00:00:00', Task_Status: 'Deferred', Task_Priority: 4, Employee_Full_Name: 'Robin Cosworth', }, { Task_ID: 46, Task_Subject: 'Follow up with West Coast Stores', Task_Start_Date: '2013-04-18T00:00:00', Task_Due_Date: '2014-02-04T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Employee_Full_Name: 'James Anderson', }, { Task_ID: 47, Task_Subject: 'Follow up with East Coast Stores', Task_Start_Date: '2013-04-18T00:00:00', Task_Due_Date: '2014-01-04T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 48, Task_Subject: 'Send Email to Customers about Recall', Task_Start_Date: '2013-04-18T00:00:00', Task_Due_Date: '2013-04-30T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 49, Task_Subject: 'Submit Refund Report for 2013 Recall', Task_Start_Date: '2013-04-25T00:00:00', Task_Due_Date: '2013-05-05T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 50, Task_Subject: 'Give Final Approval for Refunds', Task_Start_Date: '2013-05-05T00:00:00', Task_Due_Date: '2013-05-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 51, Task_Subject: 'Prepare Product Recall Report', Task_Start_Date: '2013-05-10T00:00:00', Task_Due_Date: '2013-05-16T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 52, Task_Subject: 'Review Product Recall Report by Engineering Team', Task_Start_Date: '2013-05-17T00:00:00', Task_Due_Date: '2013-05-20T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 53, Task_Subject: 'Create Training Course for New TVs', Task_Start_Date: '2013-05-29T00:00:00', Task_Due_Date: '2013-06-29T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Nat Maguiree', }, { Task_ID: 54, Task_Subject: 'Review Training Course for any Omissions', Task_Start_Date: '2013-06-01T00:00:00', Task_Due_Date: '2013-06-15T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 55, Task_Subject: 'Review Overtime Report', Task_Start_Date: '2013-06-10T00:00:00', Task_Due_Date: '2013-06-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 56, Task_Subject: 'Submit Overtime Request Forms', Task_Start_Date: '2013-06-11T00:00:00', Task_Due_Date: '2013-06-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Taylor Riley', }, { Task_ID: 57, Task_Subject: 'Submit Overtime Request Forms', Task_Start_Date: '2013-06-11T00:00:00', Task_Due_Date: '2013-06-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 58, Task_Subject: 'Submit Overtime Request Forms', Task_Start_Date: '2013-06-11T00:00:00', Task_Due_Date: '2013-06-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Wally Hobbs', }, { Task_ID: 59, Task_Subject: 'Overtime Approval Guidelines', Task_Start_Date: '2013-06-15T00:00:00', Task_Due_Date: '2013-06-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 60, Task_Subject: 'Refund Request Template', Task_Start_Date: '2013-06-17T00:00:00', Task_Due_Date: '2014-04-01T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 61, Task_Subject: 'Recall Rebate Form', Task_Start_Date: '2013-06-17T00:00:00', Task_Due_Date: '2014-04-01T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 62, Task_Subject: 'Create Report on Customer Feedback', Task_Start_Date: '2013-06-20T00:00:00', Task_Due_Date: '2013-06-30T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Sammy Hill', }, { Task_ID: 63, Task_Subject: 'Review Customer Feedback Report', Task_Start_Date: '2013-06-30T00:00:00', Task_Due_Date: '2013-07-03T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 64, Task_Subject: 'Customer Feedback Report Analysis', Task_Start_Date: '2013-07-05T00:00:00', Task_Due_Date: '2014-04-09T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'John Heart', }, { Task_ID: 65, Task_Subject: 'Prepare Shipping Cost Analysis Report', Task_Start_Date: '2013-07-10T00:00:00', Task_Due_Date: '2013-07-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 66, Task_Subject: 'Provide Feedback on Shippers', Task_Start_Date: '2013-07-11T00:00:00', Task_Due_Date: '2013-07-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 67, Task_Subject: 'Provide Feedback on Shippers', Task_Start_Date: '2013-07-11T00:00:00', Task_Due_Date: '2013-07-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 68, Task_Subject: 'Provide Feedback on Shippers', Task_Start_Date: '2013-07-11T00:00:00', Task_Due_Date: '2013-07-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Robin Cosworth', }, { Task_ID: 69, Task_Subject: 'Select Preferred Shipper', Task_Start_Date: '2013-07-16T00:00:00', Task_Due_Date: '2013-07-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 70, Task_Subject: 'Complete Shipper Selection Form', Task_Start_Date: '2013-07-21T00:00:00', Task_Due_Date: '2014-04-11T00:00:00', Task_Status: 'Deferred', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 71, Task_Subject: 'Upgrade Server Hardware', Task_Start_Date: '2013-07-22T00:00:00', Task_Due_Date: '2013-07-31T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 72, Task_Subject: 'Upgrade Personal Computers', Task_Start_Date: '2013-07-24T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 73, Task_Subject: 'Approve Personal Computer Upgrade Plan', Task_Start_Date: '2013-07-24T00:00:00', Task_Due_Date: '2013-07-31T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 74, Task_Subject: 'Decide on Mobile Devices to Use in the Field', Task_Start_Date: '2013-07-30T00:00:00', Task_Due_Date: '2013-08-02T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 75, Task_Subject: 'Upgrade Apps to Windows RT or stay with WinForms', Task_Start_Date: '2013-08-01T00:00:00', Task_Due_Date: '2013-08-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 76, Task_Subject: 'Estimate Time Required to Touch-Enable Apps', Task_Start_Date: '2013-08-05T00:00:00', Task_Due_Date: '2013-08-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Karen Goodson', }, { Task_ID: 77, Task_Subject: 'Report on Tranistion to Touch-Based Apps', Task_Start_Date: '2013-08-10T00:00:00', Task_Due_Date: '2013-08-11T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Wally Hobbs', }, { Task_ID: 78, Task_Subject: 'Try New Touch-Enabled WinForms Apps', Task_Start_Date: '2013-08-11T00:00:00', Task_Due_Date: '2013-08-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 79, Task_Subject: 'Rollout New Touch-Enabled WinForms Apps', Task_Start_Date: '2013-08-17T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 80, Task_Subject: 'Site Up-Time Report', Task_Start_Date: '2013-08-20T00:00:00', Task_Due_Date: '2013-08-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 81, Task_Subject: 'Review Site Up-Time Report', Task_Start_Date: '2013-08-24T00:00:00', Task_Due_Date: '2013-08-30T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 82, Task_Subject: 'Review Online Sales Report', Task_Start_Date: '2013-08-30T00:00:00', Task_Due_Date: '2013-09-04T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 83, Task_Subject: 'Determine New Online Marketing Strategy', Task_Start_Date: '2013-09-03T00:00:00', Task_Due_Date: '2013-09-10T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 84, Task_Subject: 'New Online Marketing Strategy', Task_Start_Date: '2013-09-05T00:00:00', Task_Due_Date: '2013-09-11T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 85, Task_Subject: 'Approve New Online Marketing Strategy', Task_Start_Date: '2013-09-15T00:00:00', Task_Due_Date: '2013-09-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 86, Task_Subject: 'Submit New Website Design', Task_Start_Date: '2013-09-17T00:00:00', Task_Due_Date: '2013-09-22T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Morgan Kennedy', }, { Task_ID: 87, Task_Subject: 'Create Icons for Website', Task_Start_Date: '2013-09-17T00:00:00', Task_Due_Date: '2013-09-21T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 88, Task_Subject: 'Review PSDs for New Website', Task_Start_Date: '2013-09-23T00:00:00', Task_Due_Date: '2013-10-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 89, Task_Subject: 'Create New Shopping Cart', Task_Start_Date: '2013-09-24T00:00:00', Task_Due_Date: '2013-10-01T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 90, Task_Subject: 'Create New Product Pages', Task_Start_Date: '2013-09-24T00:00:00', Task_Due_Date: '2013-10-04T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Karen Goodson', }, { Task_ID: 91, Task_Subject: 'Review New Product Pages', Task_Start_Date: '2013-10-04T00:00:00', Task_Due_Date: '2013-10-10T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 92, Task_Subject: 'Approve Website Launch', Task_Start_Date: '2013-10-10T00:00:00', Task_Due_Date: '2013-10-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 93, Task_Subject: 'Launch New Website', Task_Start_Date: '2013-10-15T00:00:00', Task_Due_Date: '2013-10-16T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 94, Task_Subject: 'Update Customer Shipping Profiles', Task_Start_Date: '2013-10-20T00:00:00', Task_Due_Date: '2013-10-22T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 95, Task_Subject: 'Create New Shipping Return Labels', Task_Start_Date: '2013-10-21T00:00:00', Task_Due_Date: '2013-10-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 96, Task_Subject: 'Get Design for Shipping Return Labels', Task_Start_Date: '2013-10-21T00:00:00', Task_Due_Date: '2013-10-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Wally Hobbs', }, { Task_ID: 97, Task_Subject: 'PSD needed for Shipping Return Labels', Task_Start_Date: '2013-10-22T00:00:00', Task_Due_Date: '2013-10-27T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 98, Task_Subject: 'Request Bandwidth Increase from ISP', Task_Start_Date: '2013-11-01T00:00:00', Task_Due_Date: '2013-11-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 99, Task_Subject: 'Submit D&B Number to ISP for Credit Approval', Task_Start_Date: '2013-11-04T00:00:00', Task_Due_Date: '2013-11-07T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 100, Task_Subject: 'Contact ISP and Discuss Payment Options', Task_Start_Date: '2013-11-05T00:00:00', Task_Due_Date: '2013-11-06T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 101, Task_Subject: 'Prepare Year-End Support Summary Report', Task_Start_Date: '2013-11-10T00:00:00', Task_Due_Date: '2013-11-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'James Anderson', }, { Task_ID: 102, Task_Subject: 'Analyze Support Traffic for 2013', Task_Start_Date: '2013-11-11T00:00:00', Task_Due_Date: '2013-11-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 103, Task_Subject: 'Review New Training Material', Task_Start_Date: '2013-11-14T00:00:00', Task_Due_Date: '2013-11-18T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 104, Task_Subject: 'Distribute Training Material to Support Staff', Task_Start_Date: '2013-11-18T00:00:00', Task_Due_Date: '2013-11-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Nat Maguiree', }, { Task_ID: 105, Task_Subject: 'Training Material Distribution Schedule', Task_Start_Date: '2013-11-30T00:00:00', Task_Due_Date: '2013-12-02T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 106, Task_Subject: 'Provide New Artwork to Support Team', Task_Start_Date: '2013-12-03T00:00:00', Task_Due_Date: '2013-12-04T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Morgan Kennedy', }, { Task_ID: 107, Task_Subject: 'Publish New Art on the Server', Task_Start_Date: '2013-12-03T00:00:00', Task_Due_Date: '2013-12-04T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 108, Task_Subject: 'Replace Old Artwork with New Artwork', Task_Start_Date: '2013-12-07T00:00:00', Task_Due_Date: '2013-12-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Sammy Hill', }, { Task_ID: 109, Task_Subject: 'Replace Old Artwork with New Artwork', Task_Start_Date: '2013-12-07T00:00:00', Task_Due_Date: '2013-12-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Olivia Peyton', }, { Task_ID: 110, Task_Subject: 'Replace Old Artwork with New Artwork', Task_Start_Date: '2013-12-07T00:00:00', Task_Due_Date: '2013-12-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Lucy Ball', }, { Task_ID: 111, Task_Subject: 'Ship New Brochures to Field', Task_Start_Date: '2013-12-19T00:00:00', Task_Due_Date: '2013-12-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 112, Task_Subject: 'Ship Brochures to Todd Hoffman', Task_Start_Date: '2013-12-23T00:00:00', Task_Due_Date: '2013-12-31T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 113, Task_Subject: 'Update Server with Service Packs', Task_Start_Date: '2013-12-24T00:00:00', Task_Due_Date: '2013-12-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 114, Task_Subject: 'Install New Database', Task_Start_Date: '2013-12-27T00:00:00', Task_Due_Date: '2013-12-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 115, Task_Subject: 'Approve Overtime for HR', Task_Start_Date: '2013-12-29T00:00:00', Task_Due_Date: '2013-12-29T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 116, Task_Subject: 'Review New HDMI Specification', Task_Start_Date: '2014-01-02T00:00:00', Task_Due_Date: '2014-01-31T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 117, Task_Subject: 'Approval on Converting to New HDMI Specification', Task_Start_Date: '2014-01-11T00:00:00', Task_Due_Date: '2014-01-31T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 118, Task_Subject: 'Create New Spike for Automation Server', Task_Start_Date: '2014-01-15T00:00:00', Task_Due_Date: '2014-01-27T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 119, Task_Subject: 'Report on Retail Sales Strategy for 2014', Task_Start_Date: '2014-01-20T00:00:00', Task_Due_Date: '2014-01-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 120, Task_Subject: 'Code Review - New Automation Server', Task_Start_Date: '2014-01-27T00:00:00', Task_Due_Date: '2014-02-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Karen Goodson', }, { Task_ID: 121, Task_Subject: 'Feedback on New Training Course', Task_Start_Date: '2014-01-28T00:00:00', Task_Due_Date: '2014-02-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 122, Task_Subject: 'Send Monthly Invoices from Shippers', Task_Start_Date: '2014-02-01T00:00:00', Task_Due_Date: '2014-02-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 123, Task_Subject: 'Schedule Meeting with Sales Team', Task_Start_Date: '2014-02-07T00:00:00', Task_Due_Date: '2014-02-09T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Lucy Ball', }, { Task_ID: 124, Task_Subject: 'Confirm Availability for Sales Meeting', Task_Start_Date: '2014-02-09T00:00:00', Task_Due_Date: '2014-02-09T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 125, Task_Subject: 'Reschedule Sales Team Meeting', Task_Start_Date: '2014-02-10T00:00:00', Task_Due_Date: '2014-02-10T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Gabe Jones', }, { Task_ID: 126, Task_Subject: 'Send 2 Remotes for Giveaways', Task_Start_Date: '2014-02-15T00:00:00', Task_Due_Date: '2014-02-17T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Lucy Ball', }, { Task_ID: 127, Task_Subject: 'Ship 2 Remotes Priority to Clark Morgan', Task_Start_Date: '2014-02-16T00:00:00', Task_Due_Date: '2014-02-16T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 128, Task_Subject: 'Discuss Product Giveaways with Management', Task_Start_Date: '2014-02-19T00:00:00', Task_Due_Date: '2014-02-28T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Olivia Peyton', }, { Task_ID: 129, Task_Subject: 'Follow Up Email with Recent Online Purchasers', Task_Start_Date: '2014-02-26T00:00:00', Task_Due_Date: '2014-03-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Sammy Hill', }, { Task_ID: 130, Task_Subject: 'Replace Desktops on the 3rd Floor', Task_Start_Date: '2014-02-27T00:00:00', Task_Due_Date: '2014-03-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Taylor Riley', }, { Task_ID: 131, Task_Subject: 'Update Database with New Leads', Task_Start_Date: '2014-03-01T00:00:00', Task_Due_Date: '2014-03-10T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Todd Hoffman', }, { Task_ID: 132, Task_Subject: 'Mail New Leads for Follow Up', Task_Start_Date: '2014-03-10T00:00:00', Task_Due_Date: '2014-03-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Todd Hoffman', }, { Task_ID: 133, Task_Subject: 'Send Territory Sales Breakdown', Task_Start_Date: '2014-03-13T00:00:00', Task_Due_Date: '2014-03-16T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Sammy Hill', }, { Task_ID: 134, Task_Subject: 'Territory Sales Breakdown Report', Task_Start_Date: '2014-03-17T00:00:00', Task_Due_Date: '2014-03-17T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 135, Task_Subject: 'Return Merchandise Report', Task_Start_Date: '2014-03-17T00:00:00', Task_Due_Date: '2014-03-18T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 136, Task_Subject: 'Report on the State of Engineering Dept', Task_Start_Date: '2014-03-18T00:00:00', Task_Due_Date: '2014-03-19T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 137, Task_Subject: 'Staff Productivity Report', Task_Start_Date: '2014-03-20T00:00:00', Task_Due_Date: '2014-03-21T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 138, Task_Subject: 'Review HR Budget Company Wide', Task_Start_Date: '2014-03-20T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 139, Task_Subject: 'Sales Dept Budget Request Report', Task_Start_Date: '2014-03-23T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 140, Task_Subject: 'Support Dept Budget Report', Task_Start_Date: '2014-03-23T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 141, Task_Subject: 'IT Dept Budget Request Report', Task_Start_Date: '2014-03-23T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 142, Task_Subject: 'Engineering Dept Budget Request Report', Task_Start_Date: '2014-03-23T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'Deferred', Task_Priority: 4, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 143, Task_Subject: '1Q Travel Spend Report', Task_Start_Date: '2014-03-24T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Marcus Orbison', }, { Task_ID: 144, Task_Subject: 'Approve Benefits Upgrade Package', Task_Start_Date: '2014-03-26T00:00:00', Task_Due_Date: '2014-03-27T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 145, Task_Subject: 'Final Budget Review', Task_Start_Date: '2014-03-26T00:00:00', Task_Due_Date: '2014-03-27T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 146, Task_Subject: 'State of Operations Report', Task_Start_Date: '2014-03-28T00:00:00', Task_Due_Date: '2014-03-31T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 147, Task_Subject: 'Online Sales Report', Task_Start_Date: '2014-03-29T00:00:00', Task_Due_Date: '2014-03-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 148, Task_Subject: 'Reprint All Shipping Labels', Task_Start_Date: '2014-04-01T00:00:00', Task_Due_Date: '2014-04-10T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 149, Task_Subject: 'Shipping Label Artwork', Task_Start_Date: '2014-04-02T00:00:00', Task_Due_Date: '2014-04-09T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Morgan Kennedy', }, { Task_ID: 150, Task_Subject: 'Specs for New Shipping Label', Task_Start_Date: '2014-04-04T00:00:00', Task_Due_Date: '2014-04-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 151, Task_Subject: 'Move Packaging Materials to New Warehouse', Task_Start_Date: '2014-04-05T00:00:00', Task_Due_Date: '2014-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 152, Task_Subject: 'Move Inventory to New Warehouse', Task_Start_Date: '2014-04-05T00:00:00', Task_Due_Date: '2014-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Robin Cosworth', }, { Task_ID: 153, Task_Subject: 'Take Forklift to Service Center', Task_Start_Date: '2014-04-07T00:00:00', Task_Due_Date: '2014-04-18T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 154, Task_Subject: 'Approve Rental of Forklift', Task_Start_Date: '2014-04-08T00:00:00', Task_Due_Date: '2014-04-09T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 4, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 155, Task_Subject: 'Give Final Approval to Rent Forklift', Task_Start_Date: '2014-04-08T00:00:00', Task_Due_Date: '2014-04-08T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 2, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 156, Task_Subject: 'Approve Overtime Pay', Task_Start_Date: '2014-04-12T00:00:00', Task_Due_Date: '2014-04-13T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 157, Task_Subject: 'Approve Vacation Request', Task_Start_Date: '2014-04-15T00:00:00', Task_Due_Date: '2014-04-20T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 158, Task_Subject: 'Approve Salary Increase Request', Task_Start_Date: '2014-04-16T00:00:00', Task_Due_Date: '2014-04-24T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 159, Task_Subject: 'Review Complaint Reports', Task_Start_Date: '2014-04-17T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 160, Task_Subject: 'Review Website Complaint Reports', Task_Start_Date: '2014-04-18T00:00:00', Task_Due_Date: '2014-04-24T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 161, Task_Subject: 'Test New Automation App', Task_Start_Date: '2014-04-20T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 162, Task_Subject: 'Fix Synchronization Issues', Task_Start_Date: '2014-04-21T00:00:00', Task_Due_Date: '2014-04-21T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Terry Bradley', }, { Task_ID: 163, Task_Subject: 'Free Up Space for New Application Set', Task_Start_Date: '2014-04-19T00:00:00', Task_Due_Date: '2014-04-19T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 164, Task_Subject: 'Install New Router in Dev Room', Task_Start_Date: '2014-04-23T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 165, Task_Subject: 'Update Your Profile on Website', Task_Start_Date: '2014-04-28T00:00:00', Task_Due_Date: '2014-05-02T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 2, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 166, Task_Subject: 'Schedule Conf Call with SuperMart', Task_Start_Date: '2014-04-29T00:00:00', Task_Due_Date: '2014-05-03T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 167, Task_Subject: 'Support Team Evaluation Report', Task_Start_Date: '2014-05-01T00:00:00', Task_Due_Date: '2014-05-07T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 168, Task_Subject: 'Create New Installer for Company Wide App Deployment', Task_Start_Date: '2014-05-02T00:00:00', Task_Due_Date: '2014-05-08T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 169, Task_Subject: 'Pickup Packages from the Warehouse', Task_Start_Date: '2014-04-30T00:00:00', Task_Due_Date: '2014-05-01T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 170, Task_Subject: 'Submit Travel Expenses for Recent Trip', Task_Start_Date: '2014-04-30T00:00:00', Task_Due_Date: '2014-05-05T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Gabe Jones', }, { Task_ID: 171, Task_Subject: 'Make Travel Arrangements for Sales Trip to San Francisco', Task_Start_Date: '2014-04-29T00:00:00', Task_Due_Date: '2014-05-07T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Gabe Jones', }, { Task_ID: 172, Task_Subject: 'Book Flights to San Fran for Sales Trip', Task_Start_Date: '2014-04-30T00:00:00', Task_Due_Date: '2014-05-05T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Marcus Orbison', }, { Task_ID: 173, Task_Subject: 'Collect Customer Reviews for Website', Task_Start_Date: '2014-05-01T00:00:00', Task_Due_Date: '2014-05-31T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'James Anderson', }, { Task_ID: 174, Task_Subject: 'Submit New W4 for Updated Exemptions', Task_Start_Date: '2014-05-02T00:00:00', Task_Due_Date: '2014-05-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'James Anderson', }, { Task_ID: 175, Task_Subject: 'Get New Frequent Flier Account', Task_Start_Date: '2014-05-03T00:00:00', Task_Due_Date: '2014-05-18T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 176, Task_Subject: 'Review New Customer Follow Up Plan', Task_Start_Date: '2014-05-05T00:00:00', Task_Due_Date: '2014-05-11T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'John Heart', }, { Task_ID: 177, Task_Subject: 'Submit Customer Follow Up Plan Feedback', Task_Start_Date: '2014-05-06T00:00:00', Task_Due_Date: '2014-05-10T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 178, Task_Subject: 'Review Issue Report and Provide Workarounds', Task_Start_Date: '2014-05-04T00:00:00', Task_Due_Date: '2014-06-01T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Karen Goodson', }, { Task_ID: 179, Task_Subject: 'Contact Customers for Video Interviews', Task_Start_Date: '2014-05-07T00:00:00', Task_Due_Date: '2014-05-31T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 180, Task_Subject: 'Resubmit Request for Expense Reimbursement', Task_Start_Date: '2014-05-09T00:00:00', Task_Due_Date: '2014-05-15T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 181, Task_Subject: 'Approve Vacation Request Form', Task_Start_Date: '2014-05-10T00:00:00', Task_Due_Date: '2014-05-15T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 182, Task_Subject: 'Email Test Report on New Products', Task_Start_Date: '2014-05-12T00:00:00', Task_Due_Date: '2014-05-31T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 183, Task_Subject: 'Send Receipts for all Flights Last Month', Task_Start_Date: '2014-05-10T00:00:00', Task_Due_Date: '2014-05-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Marcus Orbison', }, ];
window.exports = window.exports || {}; window.config = { transpiler: 'ts', typescriptOptions: { module: 'system', emitDecoratorMetadata: true, experimentalDecorators: true, jsx: 'react', }, meta: { 'react': { 'esModule': true, }, 'typescript': { 'exports': 'ts', }, 'devextreme/time_zone_utils.js': { 'esModule': true, }, 'devextreme/localization.js': { 'esModule': true, }, 'devextreme/viz/palette.js': { 'esModule': true, }, 'openai': { 'esModule': true, }, }, paths: { 'npm:': 'https://cdn.jsdelivr.net/npm/', 'bundles:': '../../../../bundles/', 'externals:': '../../../../bundles/externals/', 'anti-forgery:': '../../../../shared/anti-forgery/', }, defaultExtension: 'js', map: { 'anti-forgery': 'anti-forgery:fetch-override.js', 'ts': 'npm:plugin-typescript@8.0.0/lib/plugin.js', 'typescript': 'npm:typescript@4.2.4/lib/typescript.js', 'jszip': 'npm:jszip@3.10.1/dist/jszip.min.js', 'react': 'npm:react@17.0.2/umd/react.development.js', 'react-dom': 'npm:react-dom@17.0.2/umd/react-dom.development.js', 'prop-types': 'npm:prop-types/prop-types.js', 'rrule': 'npm:rrule@2.6.4/dist/es5/rrule.js', 'luxon': 'npm:luxon@3.4.4/build/global/luxon.min.js', 'es6-object-assign': 'npm:es6-object-assign', 'devextreme': 'npm:devextreme@link:../../packages/devextreme/artifacts/npm/devextreme/cjs', 'devextreme-react': 'npm:devextreme-react@link:../../packages/devextreme-react/npm/cjs', 'devextreme-quill': 'npm:devextreme-quill@1.7.8/dist/dx-quill.min.js', 'devexpress-diagram': 'npm:devexpress-diagram@2.2.25/dist/dx-diagram.js', 'devexpress-gantt': 'npm:devexpress-gantt@4.1.66/dist/dx-gantt.js', 'inferno': 'npm:inferno@8.2.3/dist/inferno.min.js', 'inferno-compat': 'npm:inferno-compat/dist/inferno-compat.min.js', 'inferno-create-element': 'npm:inferno-create-element@8.2.3/dist/inferno-create-element.min.js', 'inferno-dom': 'npm:inferno-dom/dist/inferno-dom.min.js', 'inferno-hydrate': 'npm:inferno-hydrate/dist/inferno-hydrate.min.js', 'inferno-clone-vnode': 'npm:inferno-clone-vnode/dist/inferno-clone-vnode.min.js', 'inferno-create-class': 'npm:inferno-create-class/dist/inferno-create-class.min.js', 'inferno-extras': 'npm:inferno-extras/dist/inferno-extras.min.js', '@preact/signals-core': 'npm:@preact/signals-core@1.8.0/dist/signals-core.min.js', 'devextreme-cldr-data': 'npm:devextreme-cldr-data@1.0.3', // SystemJS plugins 'plugin-babel': 'npm:systemjs-plugin-babel@0.0.25/plugin-babel.js', 'systemjs-babel-build': 'npm:systemjs-plugin-babel@0.0.25/systemjs-babel-browser.js', // Prettier 'prettier/standalone': 'npm:prettier@2.8.8/standalone.js', 'prettier/parser-html': 'npm:prettier@2.8.8/parser-html.js', }, packages: { 'devextreme': { defaultExtension: 'js', }, 'devextreme-react': { main: 'index.js', }, 'devextreme-react/common': { main: 'index.js', }, 'devextreme/events/utils': { main: 'index', }, 'devextreme/common/core/events/utils': { main: 'index', }, 'devextreme/localization/messages': { format: 'json', defaultExtension: 'json', }, 'devextreme/events': { main: 'index', }, 'es6-object-assign': { main: './index.js', defaultExtension: 'js', }, }, packageConfigPaths: [ 'npm:@devextreme/*/package.json', ], babelOptions: { sourceMaps: false, stage0: true, react: true, }, }; window.process = { env: { NODE_ENV: 'production', }, }; System.config(window.config); // eslint-disable-next-line const useTgzInCSB = ['openai'];
import React from 'react'; import ReactDOM from 'react-dom'; import App from './App.js'; ReactDOM.render(<App />, document.getElementById('app'));
export const statuses = [ 'All', 'Not Started', 'In Progress', 'Need Assistance', 'Deferred', 'Completed', ]; export const tasks = [ { Task_ID: 1, Task_Subject: 'Prepare 2013 Financial', Task_Start_Date: '2013-01-15T00:00:00', Task_Due_Date: '2013-01-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 2, Task_Subject: 'Prepare 2013 Marketing Plan', Task_Start_Date: '2013-01-01T00:00:00', Task_Due_Date: '2013-01-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 3, Task_Subject: 'Update Personnel Files', Task_Start_Date: '2013-02-03T00:00:00', Task_Due_Date: '2013-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 4, Task_Subject: 'Review Health Insurance Options Under the Affordable Care Act', Task_Start_Date: '2013-02-12T00:00:00', Task_Due_Date: '2013-04-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 5, Task_Subject: 'Choose between PPO and HMO Health Plan', Task_Start_Date: '2013-02-15T00:00:00', Task_Due_Date: '2013-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 6, Task_Subject: 'Google AdWords Strategy', Task_Start_Date: '2013-02-16T00:00:00', Task_Due_Date: '2013-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 7, Task_Subject: 'New Brochures', Task_Start_Date: '2013-02-17T00:00:00', Task_Due_Date: '2013-02-24T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'John Heart', }, { Task_ID: 8, Task_Subject: '2013 Brochure Designs', Task_Start_Date: '2013-02-19T00:00:00', Task_Due_Date: '2013-02-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Morgan Kennedy', }, { Task_ID: 9, Task_Subject: 'Brochure Design Review', Task_Start_Date: '2013-02-19T00:00:00', Task_Due_Date: '2013-02-22T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 10, Task_Subject: 'Website Re-Design Plan', Task_Start_Date: '2013-02-19T00:00:00', Task_Due_Date: '2013-02-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 11, Task_Subject: 'Rollout of New Website and Marketing Brochures', Task_Start_Date: '2013-02-20T00:00:00', Task_Due_Date: '2013-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 12, Task_Subject: 'Update Sales Strategy Documents', Task_Start_Date: '2013-02-20T00:00:00', Task_Due_Date: '2013-02-22T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 13, Task_Subject: 'Create 2012 Sales Report', Task_Start_Date: '2013-02-20T00:00:00', Task_Due_Date: '2013-02-21T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 14, Task_Subject: 'Direct vs Online Sales Comparison Report', Task_Start_Date: '2013-02-20T00:00:00', Task_Due_Date: '2013-02-22T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 15, Task_Subject: 'Review 2012 Sales Report and Approve 2013 Plans', Task_Start_Date: '2013-02-23T00:00:00', Task_Due_Date: '2013-02-28T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 16, Task_Subject: 'Deliver R&D Plans for 2013', Task_Start_Date: '2013-03-01T00:00:00', Task_Due_Date: '2013-03-10T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 17, Task_Subject: 'Create 2013 R&D Plans', Task_Start_Date: '2013-03-01T00:00:00', Task_Due_Date: '2013-03-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 18, Task_Subject: '2013 QA Strategy Report', Task_Start_Date: '2013-03-02T00:00:00', Task_Due_Date: '2013-03-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 19, Task_Subject: '2013 Training Events', Task_Start_Date: '2013-03-02T00:00:00', Task_Due_Date: '2013-03-04T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Nat Maguiree', }, { Task_ID: 20, Task_Subject: 'Approve Hiring of John Jeffers', Task_Start_Date: '2013-03-02T00:00:00', Task_Due_Date: '2013-03-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 21, Task_Subject: 'Non-Compete Agreements', Task_Start_Date: '2013-03-12T00:00:00', Task_Due_Date: '2013-03-14T00:00:00', Task_Status: 'Completed', Task_Priority: 1, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 22, Task_Subject: 'Update NDA Agreement', Task_Start_Date: '2013-03-14T00:00:00', Task_Due_Date: '2013-03-16T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 23, Task_Subject: 'Update Employee Files with New NDA', Task_Start_Date: '2013-03-16T00:00:00', Task_Due_Date: '2013-03-26T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 2, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 24, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2013-03-20T00:00:00', Task_Due_Date: '2013-03-25T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 25, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2013-03-20T00:00:00', Task_Due_Date: '2013-03-25T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 26, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2013-03-20T00:00:00', Task_Due_Date: '2013-03-25T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 3, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 27, Task_Subject: 'Sign Updated NDA', Task_Start_Date: '2013-03-20T00:00:00', Task_Due_Date: '2013-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 28, Task_Subject: 'Submit Questions Regarding New NDA', Task_Start_Date: '2013-03-21T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 29, Task_Subject: 'Submit Questions Regarding New NDA', Task_Start_Date: '2013-03-21T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'James Anderson', }, { Task_ID: 30, Task_Subject: 'Submit Questions Regarding New NDA', Task_Start_Date: '2013-03-21T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 4, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 31, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2013-03-22T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 32, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2013-03-22T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 33, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2013-03-22T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 34, Task_Subject: 'Submit Signed NDA', Task_Start_Date: '2013-03-22T00:00:00', Task_Due_Date: '2013-03-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Robin Cosworth', }, { Task_ID: 35, Task_Subject: 'Update Revenue Projections', Task_Start_Date: '2013-03-24T00:00:00', Task_Due_Date: '2013-04-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 36, Task_Subject: 'Review Revenue Projections', Task_Start_Date: '2013-03-25T00:00:00', Task_Due_Date: '2013-04-06T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 37, Task_Subject: 'Comment on Revenue Projections', Task_Start_Date: '2013-03-25T00:00:00', Task_Due_Date: '2013-04-03T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 38, Task_Subject: 'Comment on Revenue Projections', Task_Start_Date: '2013-03-25T00:00:00', Task_Due_Date: '2013-04-03T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 39, Task_Subject: 'Comment on Revenue Projections', Task_Start_Date: '2013-03-25T00:00:00', Task_Due_Date: '2013-04-03T00:00:00', Task_Status: 'Deferred', Task_Priority: 3, Employee_Full_Name: 'Todd Hoffman', }, { Task_ID: 40, Task_Subject: 'Provide New Health Insurance Docs', Task_Start_Date: '2013-03-28T00:00:00', Task_Due_Date: '2013-04-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 41, Task_Subject: 'Review Changes to Health Insurance Coverage', Task_Start_Date: '2013-04-07T00:00:00', Task_Due_Date: '2013-04-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 42, Task_Subject: 'Scan Health Insurance Forms', Task_Start_Date: '2013-04-15T00:00:00', Task_Due_Date: '2013-04-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 43, Task_Subject: 'Sign Health Insurance Forms', Task_Start_Date: '2013-04-16T00:00:00', Task_Due_Date: '2013-04-19T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 44, Task_Subject: 'Sign Health Insurance Forms', Task_Start_Date: '2013-04-16T00:00:00', Task_Due_Date: '2013-04-19T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 45, Task_Subject: 'Sign Health Insurance Forms', Task_Start_Date: '2013-04-16T00:00:00', Task_Due_Date: '2013-04-19T00:00:00', Task_Status: 'Deferred', Task_Priority: 4, Employee_Full_Name: 'Robin Cosworth', }, { Task_ID: 46, Task_Subject: 'Follow up with West Coast Stores', Task_Start_Date: '2013-04-18T00:00:00', Task_Due_Date: '2014-02-04T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Employee_Full_Name: 'James Anderson', }, { Task_ID: 47, Task_Subject: 'Follow up with East Coast Stores', Task_Start_Date: '2013-04-18T00:00:00', Task_Due_Date: '2014-01-04T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 48, Task_Subject: 'Send Email to Customers about Recall', Task_Start_Date: '2013-04-18T00:00:00', Task_Due_Date: '2013-04-30T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 49, Task_Subject: 'Submit Refund Report for 2013 Recall', Task_Start_Date: '2013-04-25T00:00:00', Task_Due_Date: '2013-05-05T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 50, Task_Subject: 'Give Final Approval for Refunds', Task_Start_Date: '2013-05-05T00:00:00', Task_Due_Date: '2013-05-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 51, Task_Subject: 'Prepare Product Recall Report', Task_Start_Date: '2013-05-10T00:00:00', Task_Due_Date: '2013-05-16T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 52, Task_Subject: 'Review Product Recall Report by Engineering Team', Task_Start_Date: '2013-05-17T00:00:00', Task_Due_Date: '2013-05-20T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 53, Task_Subject: 'Create Training Course for New TVs', Task_Start_Date: '2013-05-29T00:00:00', Task_Due_Date: '2013-06-29T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Nat Maguiree', }, { Task_ID: 54, Task_Subject: 'Review Training Course for any Omissions', Task_Start_Date: '2013-06-01T00:00:00', Task_Due_Date: '2013-06-15T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 55, Task_Subject: 'Review Overtime Report', Task_Start_Date: '2013-06-10T00:00:00', Task_Due_Date: '2013-06-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 56, Task_Subject: 'Submit Overtime Request Forms', Task_Start_Date: '2013-06-11T00:00:00', Task_Due_Date: '2013-06-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Taylor Riley', }, { Task_ID: 57, Task_Subject: 'Submit Overtime Request Forms', Task_Start_Date: '2013-06-11T00:00:00', Task_Due_Date: '2013-06-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 58, Task_Subject: 'Submit Overtime Request Forms', Task_Start_Date: '2013-06-11T00:00:00', Task_Due_Date: '2013-06-12T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Wally Hobbs', }, { Task_ID: 59, Task_Subject: 'Overtime Approval Guidelines', Task_Start_Date: '2013-06-15T00:00:00', Task_Due_Date: '2013-06-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 60, Task_Subject: 'Refund Request Template', Task_Start_Date: '2013-06-17T00:00:00', Task_Due_Date: '2014-04-01T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 61, Task_Subject: 'Recall Rebate Form', Task_Start_Date: '2013-06-17T00:00:00', Task_Due_Date: '2014-04-01T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 62, Task_Subject: 'Create Report on Customer Feedback', Task_Start_Date: '2013-06-20T00:00:00', Task_Due_Date: '2013-06-30T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Sammy Hill', }, { Task_ID: 63, Task_Subject: 'Review Customer Feedback Report', Task_Start_Date: '2013-06-30T00:00:00', Task_Due_Date: '2013-07-03T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 64, Task_Subject: 'Customer Feedback Report Analysis', Task_Start_Date: '2013-07-05T00:00:00', Task_Due_Date: '2014-04-09T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'John Heart', }, { Task_ID: 65, Task_Subject: 'Prepare Shipping Cost Analysis Report', Task_Start_Date: '2013-07-10T00:00:00', Task_Due_Date: '2013-07-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 66, Task_Subject: 'Provide Feedback on Shippers', Task_Start_Date: '2013-07-11T00:00:00', Task_Due_Date: '2013-07-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 67, Task_Subject: 'Provide Feedback on Shippers', Task_Start_Date: '2013-07-11T00:00:00', Task_Due_Date: '2013-07-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 68, Task_Subject: 'Provide Feedback on Shippers', Task_Start_Date: '2013-07-11T00:00:00', Task_Due_Date: '2013-07-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Robin Cosworth', }, { Task_ID: 69, Task_Subject: 'Select Preferred Shipper', Task_Start_Date: '2013-07-16T00:00:00', Task_Due_Date: '2013-07-20T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 70, Task_Subject: 'Complete Shipper Selection Form', Task_Start_Date: '2013-07-21T00:00:00', Task_Due_Date: '2014-04-11T00:00:00', Task_Status: 'Deferred', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 71, Task_Subject: 'Upgrade Server Hardware', Task_Start_Date: '2013-07-22T00:00:00', Task_Due_Date: '2013-07-31T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 72, Task_Subject: 'Upgrade Personal Computers', Task_Start_Date: '2013-07-24T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 73, Task_Subject: 'Approve Personal Computer Upgrade Plan', Task_Start_Date: '2013-07-24T00:00:00', Task_Due_Date: '2013-07-31T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 74, Task_Subject: 'Decide on Mobile Devices to Use in the Field', Task_Start_Date: '2013-07-30T00:00:00', Task_Due_Date: '2013-08-02T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 75, Task_Subject: 'Upgrade Apps to Windows RT or stay with WinForms', Task_Start_Date: '2013-08-01T00:00:00', Task_Due_Date: '2013-08-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 76, Task_Subject: 'Estimate Time Required to Touch-Enable Apps', Task_Start_Date: '2013-08-05T00:00:00', Task_Due_Date: '2013-08-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Karen Goodson', }, { Task_ID: 77, Task_Subject: 'Report on Tranistion to Touch-Based Apps', Task_Start_Date: '2013-08-10T00:00:00', Task_Due_Date: '2013-08-11T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Wally Hobbs', }, { Task_ID: 78, Task_Subject: 'Try New Touch-Enabled WinForms Apps', Task_Start_Date: '2013-08-11T00:00:00', Task_Due_Date: '2013-08-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 79, Task_Subject: 'Rollout New Touch-Enabled WinForms Apps', Task_Start_Date: '2013-08-17T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 80, Task_Subject: 'Site Up-Time Report', Task_Start_Date: '2013-08-20T00:00:00', Task_Due_Date: '2013-08-24T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 81, Task_Subject: 'Review Site Up-Time Report', Task_Start_Date: '2013-08-24T00:00:00', Task_Due_Date: '2013-08-30T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 82, Task_Subject: 'Review Online Sales Report', Task_Start_Date: '2013-08-30T00:00:00', Task_Due_Date: '2013-09-04T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'John Heart', }, { Task_ID: 83, Task_Subject: 'Determine New Online Marketing Strategy', Task_Start_Date: '2013-09-03T00:00:00', Task_Due_Date: '2013-09-10T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 84, Task_Subject: 'New Online Marketing Strategy', Task_Start_Date: '2013-09-05T00:00:00', Task_Due_Date: '2013-09-11T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 85, Task_Subject: 'Approve New Online Marketing Strategy', Task_Start_Date: '2013-09-15T00:00:00', Task_Due_Date: '2013-09-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 86, Task_Subject: 'Submit New Website Design', Task_Start_Date: '2013-09-17T00:00:00', Task_Due_Date: '2013-09-22T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Morgan Kennedy', }, { Task_ID: 87, Task_Subject: 'Create Icons for Website', Task_Start_Date: '2013-09-17T00:00:00', Task_Due_Date: '2013-09-21T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 88, Task_Subject: 'Review PSDs for New Website', Task_Start_Date: '2013-09-23T00:00:00', Task_Due_Date: '2013-10-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 89, Task_Subject: 'Create New Shopping Cart', Task_Start_Date: '2013-09-24T00:00:00', Task_Due_Date: '2013-10-01T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 90, Task_Subject: 'Create New Product Pages', Task_Start_Date: '2013-09-24T00:00:00', Task_Due_Date: '2013-10-04T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Karen Goodson', }, { Task_ID: 91, Task_Subject: 'Review New Product Pages', Task_Start_Date: '2013-10-04T00:00:00', Task_Due_Date: '2013-10-10T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 92, Task_Subject: 'Approve Website Launch', Task_Start_Date: '2013-10-10T00:00:00', Task_Due_Date: '2013-10-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Robert Reagan', }, { Task_ID: 93, Task_Subject: 'Launch New Website', Task_Start_Date: '2013-10-15T00:00:00', Task_Due_Date: '2013-10-16T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 94, Task_Subject: 'Update Customer Shipping Profiles', Task_Start_Date: '2013-10-20T00:00:00', Task_Due_Date: '2013-10-22T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 95, Task_Subject: 'Create New Shipping Return Labels', Task_Start_Date: '2013-10-21T00:00:00', Task_Due_Date: '2013-10-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 96, Task_Subject: 'Get Design for Shipping Return Labels', Task_Start_Date: '2013-10-21T00:00:00', Task_Due_Date: '2013-10-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Wally Hobbs', }, { Task_ID: 97, Task_Subject: 'PSD needed for Shipping Return Labels', Task_Start_Date: '2013-10-22T00:00:00', Task_Due_Date: '2013-10-27T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 98, Task_Subject: 'Request Bandwidth Increase from ISP', Task_Start_Date: '2013-11-01T00:00:00', Task_Due_Date: '2013-11-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 99, Task_Subject: 'Submit D&B Number to ISP for Credit Approval', Task_Start_Date: '2013-11-04T00:00:00', Task_Due_Date: '2013-11-07T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 100, Task_Subject: 'Contact ISP and Discuss Payment Options', Task_Start_Date: '2013-11-05T00:00:00', Task_Due_Date: '2013-11-06T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 101, Task_Subject: 'Prepare Year-End Support Summary Report', Task_Start_Date: '2013-11-10T00:00:00', Task_Due_Date: '2013-11-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'James Anderson', }, { Task_ID: 102, Task_Subject: 'Analyze Support Traffic for 2013', Task_Start_Date: '2013-11-11T00:00:00', Task_Due_Date: '2013-11-14T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 103, Task_Subject: 'Review New Training Material', Task_Start_Date: '2013-11-14T00:00:00', Task_Due_Date: '2013-11-18T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 104, Task_Subject: 'Distribute Training Material to Support Staff', Task_Start_Date: '2013-11-18T00:00:00', Task_Due_Date: '2013-11-30T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Nat Maguiree', }, { Task_ID: 105, Task_Subject: 'Training Material Distribution Schedule', Task_Start_Date: '2013-11-30T00:00:00', Task_Due_Date: '2013-12-02T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 106, Task_Subject: 'Provide New Artwork to Support Team', Task_Start_Date: '2013-12-03T00:00:00', Task_Due_Date: '2013-12-04T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Morgan Kennedy', }, { Task_ID: 107, Task_Subject: 'Publish New Art on the Server', Task_Start_Date: '2013-12-03T00:00:00', Task_Due_Date: '2013-12-04T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Violet Bailey', }, { Task_ID: 108, Task_Subject: 'Replace Old Artwork with New Artwork', Task_Start_Date: '2013-12-07T00:00:00', Task_Due_Date: '2013-12-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Sammy Hill', }, { Task_ID: 109, Task_Subject: 'Replace Old Artwork with New Artwork', Task_Start_Date: '2013-12-07T00:00:00', Task_Due_Date: '2013-12-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Olivia Peyton', }, { Task_ID: 110, Task_Subject: 'Replace Old Artwork with New Artwork', Task_Start_Date: '2013-12-07T00:00:00', Task_Due_Date: '2013-12-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Lucy Ball', }, { Task_ID: 111, Task_Subject: 'Ship New Brochures to Field', Task_Start_Date: '2013-12-19T00:00:00', Task_Due_Date: '2013-12-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 112, Task_Subject: 'Ship Brochures to Todd Hoffman', Task_Start_Date: '2013-12-23T00:00:00', Task_Due_Date: '2013-12-31T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 113, Task_Subject: 'Update Server with Service Packs', Task_Start_Date: '2013-12-24T00:00:00', Task_Due_Date: '2013-12-24T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 114, Task_Subject: 'Install New Database', Task_Start_Date: '2013-12-27T00:00:00', Task_Due_Date: '2013-12-28T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 115, Task_Subject: 'Approve Overtime for HR', Task_Start_Date: '2013-12-29T00:00:00', Task_Due_Date: '2013-12-29T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 116, Task_Subject: 'Review New HDMI Specification', Task_Start_Date: '2014-01-02T00:00:00', Task_Due_Date: '2014-01-31T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 117, Task_Subject: 'Approval on Converting to New HDMI Specification', Task_Start_Date: '2014-01-11T00:00:00', Task_Due_Date: '2014-01-31T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 118, Task_Subject: 'Create New Spike for Automation Server', Task_Start_Date: '2014-01-15T00:00:00', Task_Due_Date: '2014-01-27T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 119, Task_Subject: 'Report on Retail Sales Strategy for 2014', Task_Start_Date: '2014-01-20T00:00:00', Task_Due_Date: '2014-01-31T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 120, Task_Subject: 'Code Review - New Automation Server', Task_Start_Date: '2014-01-27T00:00:00', Task_Due_Date: '2014-02-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Karen Goodson', }, { Task_ID: 121, Task_Subject: 'Feedback on New Training Course', Task_Start_Date: '2014-01-28T00:00:00', Task_Due_Date: '2014-02-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 122, Task_Subject: 'Send Monthly Invoices from Shippers', Task_Start_Date: '2014-02-01T00:00:00', Task_Due_Date: '2014-02-07T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 123, Task_Subject: 'Schedule Meeting with Sales Team', Task_Start_Date: '2014-02-07T00:00:00', Task_Due_Date: '2014-02-09T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Lucy Ball', }, { Task_ID: 124, Task_Subject: 'Confirm Availability for Sales Meeting', Task_Start_Date: '2014-02-09T00:00:00', Task_Due_Date: '2014-02-09T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 125, Task_Subject: 'Reschedule Sales Team Meeting', Task_Start_Date: '2014-02-10T00:00:00', Task_Due_Date: '2014-02-10T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Gabe Jones', }, { Task_ID: 126, Task_Subject: 'Send 2 Remotes for Giveaways', Task_Start_Date: '2014-02-15T00:00:00', Task_Due_Date: '2014-02-17T00:00:00', Task_Status: 'Completed', Task_Priority: 3, Employee_Full_Name: 'Lucy Ball', }, { Task_ID: 127, Task_Subject: 'Ship 2 Remotes Priority to Clark Morgan', Task_Start_Date: '2014-02-16T00:00:00', Task_Due_Date: '2014-02-16T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 128, Task_Subject: 'Discuss Product Giveaways with Management', Task_Start_Date: '2014-02-19T00:00:00', Task_Due_Date: '2014-02-28T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Olivia Peyton', }, { Task_ID: 129, Task_Subject: 'Follow Up Email with Recent Online Purchasers', Task_Start_Date: '2014-02-26T00:00:00', Task_Due_Date: '2014-03-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Sammy Hill', }, { Task_ID: 130, Task_Subject: 'Replace Desktops on the 3rd Floor', Task_Start_Date: '2014-02-27T00:00:00', Task_Due_Date: '2014-03-15T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Taylor Riley', }, { Task_ID: 131, Task_Subject: 'Update Database with New Leads', Task_Start_Date: '2014-03-01T00:00:00', Task_Due_Date: '2014-03-10T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Todd Hoffman', }, { Task_ID: 132, Task_Subject: 'Mail New Leads for Follow Up', Task_Start_Date: '2014-03-10T00:00:00', Task_Due_Date: '2014-03-15T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Todd Hoffman', }, { Task_ID: 133, Task_Subject: 'Send Territory Sales Breakdown', Task_Start_Date: '2014-03-13T00:00:00', Task_Due_Date: '2014-03-16T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Sammy Hill', }, { Task_ID: 134, Task_Subject: 'Territory Sales Breakdown Report', Task_Start_Date: '2014-03-17T00:00:00', Task_Due_Date: '2014-03-17T00:00:00', Task_Status: 'In Progress', Task_Priority: 3, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 135, Task_Subject: 'Return Merchandise Report', Task_Start_Date: '2014-03-17T00:00:00', Task_Due_Date: '2014-03-18T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 136, Task_Subject: 'Report on the State of Engineering Dept', Task_Start_Date: '2014-03-18T00:00:00', Task_Due_Date: '2014-03-19T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 137, Task_Subject: 'Staff Productivity Report', Task_Start_Date: '2014-03-20T00:00:00', Task_Due_Date: '2014-03-21T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 138, Task_Subject: 'Review HR Budget Company Wide', Task_Start_Date: '2014-03-20T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 139, Task_Subject: 'Sales Dept Budget Request Report', Task_Start_Date: '2014-03-23T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Ed Holmes', }, { Task_ID: 140, Task_Subject: 'Support Dept Budget Report', Task_Start_Date: '2014-03-23T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 141, Task_Subject: 'IT Dept Budget Request Report', Task_Start_Date: '2014-03-23T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 142, Task_Subject: 'Engineering Dept Budget Request Report', Task_Start_Date: '2014-03-23T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'Deferred', Task_Priority: 4, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 143, Task_Subject: '1Q Travel Spend Report', Task_Start_Date: '2014-03-24T00:00:00', Task_Due_Date: '2014-03-25T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Marcus Orbison', }, { Task_ID: 144, Task_Subject: 'Approve Benefits Upgrade Package', Task_Start_Date: '2014-03-26T00:00:00', Task_Due_Date: '2014-03-27T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 145, Task_Subject: 'Final Budget Review', Task_Start_Date: '2014-03-26T00:00:00', Task_Due_Date: '2014-03-27T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Greta Sims', }, { Task_ID: 146, Task_Subject: 'State of Operations Report', Task_Start_Date: '2014-03-28T00:00:00', Task_Due_Date: '2014-03-31T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 147, Task_Subject: 'Online Sales Report', Task_Start_Date: '2014-03-29T00:00:00', Task_Due_Date: '2014-03-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Hannah Brookly', }, { Task_ID: 148, Task_Subject: 'Reprint All Shipping Labels', Task_Start_Date: '2014-04-01T00:00:00', Task_Due_Date: '2014-04-10T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 149, Task_Subject: 'Shipping Label Artwork', Task_Start_Date: '2014-04-02T00:00:00', Task_Due_Date: '2014-04-09T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Morgan Kennedy', }, { Task_ID: 150, Task_Subject: 'Specs for New Shipping Label', Task_Start_Date: '2014-04-04T00:00:00', Task_Due_Date: '2014-04-05T00:00:00', Task_Status: 'Completed', Task_Priority: 2, Employee_Full_Name: 'Davey Jones', }, { Task_ID: 151, Task_Subject: 'Move Packaging Materials to New Warehouse', Task_Start_Date: '2014-04-05T00:00:00', Task_Due_Date: '2014-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Mary Stern', }, { Task_ID: 152, Task_Subject: 'Move Inventory to New Warehouse', Task_Start_Date: '2014-04-05T00:00:00', Task_Due_Date: '2014-04-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Robin Cosworth', }, { Task_ID: 153, Task_Subject: 'Take Forklift to Service Center', Task_Start_Date: '2014-04-07T00:00:00', Task_Due_Date: '2014-04-18T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Victor Norris', }, { Task_ID: 154, Task_Subject: 'Approve Rental of Forklift', Task_Start_Date: '2014-04-08T00:00:00', Task_Due_Date: '2014-04-09T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 4, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 155, Task_Subject: 'Give Final Approval to Rent Forklift', Task_Start_Date: '2014-04-08T00:00:00', Task_Due_Date: '2014-04-08T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 2, Employee_Full_Name: 'Sandra Johnson', }, { Task_ID: 156, Task_Subject: 'Approve Overtime Pay', Task_Start_Date: '2014-04-12T00:00:00', Task_Due_Date: '2014-04-13T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 157, Task_Subject: 'Approve Vacation Request', Task_Start_Date: '2014-04-15T00:00:00', Task_Due_Date: '2014-04-20T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Bart Arnaz', }, { Task_ID: 158, Task_Subject: 'Approve Salary Increase Request', Task_Start_Date: '2014-04-16T00:00:00', Task_Due_Date: '2014-04-24T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Arthur Miller', }, { Task_ID: 159, Task_Subject: 'Review Complaint Reports', Task_Start_Date: '2014-04-17T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 160, Task_Subject: 'Review Website Complaint Reports', Task_Start_Date: '2014-04-18T00:00:00', Task_Due_Date: '2014-04-24T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brett Wade', }, { Task_ID: 161, Task_Subject: 'Test New Automation App', Task_Start_Date: '2014-04-20T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 162, Task_Subject: 'Fix Synchronization Issues', Task_Start_Date: '2014-04-21T00:00:00', Task_Due_Date: '2014-04-21T00:00:00', Task_Status: 'Completed', Task_Priority: 4, Employee_Full_Name: 'Terry Bradley', }, { Task_ID: 163, Task_Subject: 'Free Up Space for New Application Set', Task_Start_Date: '2014-04-19T00:00:00', Task_Due_Date: '2014-04-19T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 164, Task_Subject: 'Install New Router in Dev Room', Task_Start_Date: '2014-04-23T00:00:00', Task_Due_Date: '2014-04-30T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Amelia Harper', }, { Task_ID: 165, Task_Subject: 'Update Your Profile on Website', Task_Start_Date: '2014-04-28T00:00:00', Task_Due_Date: '2014-05-02T00:00:00', Task_Status: 'Need Assistance', Task_Priority: 2, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 166, Task_Subject: 'Schedule Conf Call with SuperMart', Task_Start_Date: '2014-04-29T00:00:00', Task_Due_Date: '2014-05-03T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Antony Remmen', }, { Task_ID: 167, Task_Subject: 'Support Team Evaluation Report', Task_Start_Date: '2014-05-01T00:00:00', Task_Due_Date: '2014-05-07T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Barb Banks', }, { Task_ID: 168, Task_Subject: 'Create New Installer for Company Wide App Deployment', Task_Start_Date: '2014-05-02T00:00:00', Task_Due_Date: '2014-05-08T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 169, Task_Subject: 'Pickup Packages from the Warehouse', Task_Start_Date: '2014-04-30T00:00:00', Task_Due_Date: '2014-05-01T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Brad Jameson', }, { Task_ID: 170, Task_Subject: 'Submit Travel Expenses for Recent Trip', Task_Start_Date: '2014-04-30T00:00:00', Task_Due_Date: '2014-05-05T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Gabe Jones', }, { Task_ID: 171, Task_Subject: 'Make Travel Arrangements for Sales Trip to San Francisco', Task_Start_Date: '2014-04-29T00:00:00', Task_Due_Date: '2014-05-07T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Gabe Jones', }, { Task_ID: 172, Task_Subject: 'Book Flights to San Fran for Sales Trip', Task_Start_Date: '2014-04-30T00:00:00', Task_Due_Date: '2014-05-05T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Marcus Orbison', }, { Task_ID: 173, Task_Subject: 'Collect Customer Reviews for Website', Task_Start_Date: '2014-05-01T00:00:00', Task_Due_Date: '2014-05-31T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'James Anderson', }, { Task_ID: 174, Task_Subject: 'Submit New W4 for Updated Exemptions', Task_Start_Date: '2014-05-02T00:00:00', Task_Due_Date: '2014-05-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'James Anderson', }, { Task_ID: 175, Task_Subject: 'Get New Frequent Flier Account', Task_Start_Date: '2014-05-03T00:00:00', Task_Due_Date: '2014-05-18T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Jim Packard', }, { Task_ID: 176, Task_Subject: 'Review New Customer Follow Up Plan', Task_Start_Date: '2014-05-05T00:00:00', Task_Due_Date: '2014-05-11T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'John Heart', }, { Task_ID: 177, Task_Subject: 'Submit Customer Follow Up Plan Feedback', Task_Start_Date: '2014-05-06T00:00:00', Task_Due_Date: '2014-05-10T00:00:00', Task_Status: 'Deferred', Task_Priority: 2, Employee_Full_Name: 'Samantha Bright', }, { Task_ID: 178, Task_Subject: 'Review Issue Report and Provide Workarounds', Task_Start_Date: '2014-05-04T00:00:00', Task_Due_Date: '2014-06-01T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Karen Goodson', }, { Task_ID: 179, Task_Subject: 'Contact Customers for Video Interviews', Task_Start_Date: '2014-05-07T00:00:00', Task_Due_Date: '2014-05-31T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 180, Task_Subject: 'Resubmit Request for Expense Reimbursement', Task_Start_Date: '2014-05-09T00:00:00', Task_Due_Date: '2014-05-15T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Kelly Rodriguez', }, { Task_ID: 181, Task_Subject: 'Approve Vacation Request Form', Task_Start_Date: '2014-05-10T00:00:00', Task_Due_Date: '2014-05-15T00:00:00', Task_Status: 'Not Started', Task_Priority: 2, Employee_Full_Name: 'Kevin Carter', }, { Task_ID: 182, Task_Subject: 'Email Test Report on New Products', Task_Start_Date: '2014-05-12T00:00:00', Task_Due_Date: '2014-05-31T00:00:00', Task_Status: 'In Progress', Task_Priority: 4, Employee_Full_Name: 'Leah Simpson', }, { Task_ID: 183, Task_Subject: 'Send Receipts for all Flights Last Month', Task_Start_Date: '2014-05-10T00:00:00', Task_Due_Date: '2014-05-15T00:00:00', Task_Status: 'In Progress', Task_Priority: 2, Employee_Full_Name: 'Marcus Orbison', }, ];
<!DOCTYPE html> <html lang="en"> <head> <title>DevExtreme Demo</title> <meta http-equiv="X-UA-Compatible" content="IE=edge" /> <meta http-equiv="Content-Type" content="text/html; charset=utf-8" /> <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=5.0" /> <link rel="stylesheet" type="text/css" href="https://cdn3.devexpress.com/jslib/25.2.5/css/dx.light.css" /> <link rel="stylesheet" type="text/css" href="styles.css" /> <script src="https://cdn.jsdelivr.net/npm/core-js@2.6.12/client/shim.min.js"></script> <script src="https://cdn.jsdelivr.net/npm/systemjs@0.21.3/dist/system.js"></script> <script type="text/javascript" src="config.js"></script> <script type="text/javascript"> System.import("./index.tsx"); </script> </head> <body class="dx-viewport"> <div class="demo-container"> <div id="app"></div> </div> </body> </html>
.right-side { position: absolute; right: 1px; top: 6px; } .logo { line-height: 48px; } .logo img { vertical-align: middle; margin: 0 5px; } .dx-row.dx-data-row .employee { color: #bf4e6a; font-weight: bold; } #gridContainer { margin: 20px 0; height: 400px; }

In this demo, you can use the SelectBox component to filter the grid's dataSource. The "All" item calls the clearFilter() method and the other items call the filter(filterExpr) method.